<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:include href="preferences.xsl"/>
<xsl:include href="options.xsl"/>

<xsl:include href="dtl_hd_tag_selection.xsl"/>
<xsl:include href="studio_template.xsl"/>

<xsl:template match="/">
<xsl:for-each select="details/movie">
<!-- <xsl:value-of select="string(60 * number((substring-before( runtime , 'h') )) + number(( substring-after((substring-before( runtime , 'mn')),'h' ) )))"/> -->



<!-- Runtime calc  -->
<xsl:variable name="RuntimeCalc">
	<xsl:if test="runtime != 'UNKNOWN'">
		<xsl:choose>
			<xsl:when test="$RunTimeInMinutes = 'true'">
				<xsl:choose>
					<xsl:when test="(contains(runtime,'m') or contains(runtime,'h')) and not(contains(runtime,'hrs'))">
						<xsl:choose>
							<xsl:when test="contains(runtime,'h') and contains(runtime,'m')">
								<xsl:value-of select="string-join((string(60 * number((substring-before( runtime , 'h') )) + number(( substring-after((substring-before( runtime , 'm')),'h' ) ))), 'min'), ' ')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="contains(runtime,'m')">
										<xsl:value-of select="string-join((string(number((substring-before( runtime , 'm') )) ), 'min'), ' ')"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="string-join((string(60 * number((substring-before( runtime , 'h') )) ), 'min'), ' ')"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="contains(runtime,'mins') or contains(runtime,'hrs')">
								<xsl:choose>
									<xsl:when test="contains(runtime,'hrs') and contains(runtime,'mins')">
										<xsl:value-of select="string-join((string(60 * number((substring-before( runtime , 'hrs') )) + number(( substring-after((substring-before( runtime , 'mins')),'hrs' ) ))), 'min'), ' ')"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test="contains(runtime,'mins')">
												<xsl:value-of select="string-join((string(number((substring-before( runtime , 'mins') )) ), 'min'), ' ')"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="string-join((string(60 * number((substring-before( runtime , 'hrs') )) ), 'min'), ' ')"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>					
							<xsl:otherwise><xsl:value-of select="runtime"/> min</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="( contains(runtime,'h') or contains(runtime,'m') )"><xsl:value-of select="runtime"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="runtime"/>m</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:if>
</xsl:variable>
<!-- RuntimeCalc=<xsl:value-of select="$RuntimeCalc"/> -->

<!-- Trailer contents -->
<xsl:variable name="CheckTrailerContents">
	<xsl:if test="count(extras) != 0">
		<xsl:for-each select="extras/extra">
			<xsl:if test="contains(@title,'TRAILER') or contains(@title,'Trailer') or contains(@title,'trailer')"><xsl:value-of select="position()"/>,</xsl:if>
		</xsl:for-each>
	</xsl:if>
</xsl:variable>

<xsl:variable name="TrailerContentsExsist">
	<xsl:choose>
		<xsl:when test="substring-before($CheckTrailerContents,',') &gt; 0">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="StartTrailerPosition" select="substring-before($CheckTrailerContents,',')"/>
<xsl:variable name="EndTrailerPosition" select="substring-before(substring-after($CheckTrailerContents,','),',')"/>

<!-- Bonus contents -->
<xsl:variable name="CheckBonusContents">
	<xsl:if test="count(extras) != 0">
		<xsl:for-each select="extras/extra">
			<xsl:if test="contains(substring-before(@title,'-'),'BONUS') or contains(substring-before(@title,'-'),'Bonus') or contains(substring-before(@title,'-'),'bonus')"><xsl:value-of select="position()"/>,</xsl:if>
		</xsl:for-each>
	</xsl:if>
</xsl:variable>

<xsl:variable name="BonusContentsExsist">
	<xsl:choose>
		<xsl:when test="substring-before($CheckBonusContents,',') &gt; 0">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>


<!-- Extra contents -->
<xsl:variable name="CheckExtraContents">
	<xsl:if test="count(extras) != 0">
		<xsl:for-each select="extras/extra">
			<xsl:if test="contains(substring-before(@title,'-'),'EXTRA') or contains(substring-before(@title,'-'),'Extra') or contains(substring-before(@title,'-'),'extra')"><xsl:value-of select="position()"/>,</xsl:if>
		</xsl:for-each>
	</xsl:if>
</xsl:variable>

<xsl:variable name="ExtraContentsExsist">
	<xsl:choose>
		<xsl:when test="substring-before($CheckExtraContents,',') &gt; 0">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<!-- Deleted contents -->
<xsl:variable name="CheckDeletedContents">
	<xsl:if test="count(extras) != 0">
		<xsl:for-each select="extras/extra">
			<xsl:if test="contains(substring-before(@title,'-'),'DELETED') or contains(substring-before(@title,'-'),'Deleted') or contains(substring-before(@title,'-'),'deleted')"><xsl:value-of select="position()"/>,</xsl:if>
		</xsl:for-each>
	</xsl:if>
</xsl:variable>

<xsl:variable name="DeletedContentsExsist">
	<xsl:choose>
		<xsl:when test="substring-before($CheckDeletedContents,',') &gt; 0">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<!-- Special contents -->
<xsl:variable name="CheckSpecialContents">
	<xsl:if test="count(extras) != 0">
		<xsl:for-each select="extras/extra">
			<xsl:if test="contains(substring-before(@title,'-'),'SPECIAL') or contains(substring-before(@title,'-'),'Special') or contains(substring-before(@title,'-'),'special')"><xsl:value-of select="position()"/>,</xsl:if>
		</xsl:for-each>
	</xsl:if>
</xsl:variable>

<xsl:variable name="SpecialContentsExsist">
	<xsl:choose>
		<xsl:when test="substring-before($CheckSpecialContents,',') &gt; 0">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="max_nb_of_chars_for_extras">30</xsl:variable>


<xsl:variable name="ExtraMenuEnable">
	<xsl:choose>
		<xsl:when test="$BonusContentsExsist = 'true' or $ExtraContentsExsist = 'true' or $DeletedContentsExsist = 'true' or $SpecialContentsExsist = 'true'">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="MoreThanOneFile">
	<xsl:choose>
		<xsl:when test="count(files/file) &gt; 1">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="Multiparts">
	<xsl:choose>
		<xsl:when test="((contains(upper-case(/details/movie/baseFilename),'[DISC')) or (contains(upper-case(/details/movie/baseFilename),'[DISK')) or (contains(upper-case(/details/movie/baseFilename),'[PART')) or (contains(upper-case(/details/movie/baseFilename),'[CD')) ) = 1">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="NoPlayButton">
	<xsl:choose>
		<xsl:when test="$MoreThanOneFile = 'true' and //movie/season !=-1 and ( contains(lower-case(/details/movie/container),'iso') or ends-with(lower-case(/details/movie/files/file/fileURL),'.iso') or contains(lower-case(/details/movie/container),'img') or ends-with(lower-case(/details/movie/files/file/fileURL),'.img') or ends-with(/details/movie/files/file/fileURL,'VIDEO_TS') or ends-with(/details/movie/files/file/fileURL, '/') ) = 1">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="NoPlayAllButton">
	<xsl:choose>
		<xsl:when test="$MoreThanOneFile = 'true' and ( contains(lower-case(/details/movie/container),'iso') or ends-with(lower-case(/details/movie/files/file/fileURL),'.iso') or contains(lower-case(/details/movie/container),'img') or ends-with(lower-case(/details/movie/files/file/fileURL),'.img') or ends-with(/details/movie/files/file/fileURL,'VIDEO_TS') or ends-with(/details/movie/files/file/fileURL, '/') ) = 1">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="SpecialPlayList">
	<xsl:choose>
		<xsl:when test="($Multiparts = 'true') and (contains(upper-case(baseFilename),'[PART')  = 1) and (contains(/details/movie/files/file[1]/@title,'SPLST') = 1)">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="AudioChannels">
	<xsl:variable name="parse" select="tokenize(//details/movie/audioCodec,' / ')"/>
	<xsl:variable name="pa">
		<xsl:for-each select="$parse"><xsl:value-of select="position()"/>,</xsl:for-each>
	</xsl:variable>
	<xsl:choose>
		<xsl:when test="string-length($pa) &gt; 2">
			<xsl:value-of select="substring-before( (substring-after( (substring($pa,(string-length($pa) - 2))) ,',') ) , ',')"/>
		</xsl:when>
		<xsl:otherwise>1</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="AudioChannelInfo">
	<xsl:variable name="parse" select="tokenize(//details/movie/audioCodec,' / ')"/>
	<xsl:variable name="parsedAudioChannels" select="tokenize(//details/movie/audioChannels,' / ')"/>
	<xsl:variable name="pa">
		<xsl:for-each select="$parse">
			<xsl:variable name="pass" select="position()" />

			<xsl:choose>			
             <xsl:when test="$parsedAudioChannels[$pass]=6">5.1 </xsl:when>
             <xsl:otherwise>
              <xsl:choose>
               <xsl:when test="$parsedAudioChannels[$pass]=8">7.1 </xsl:when>
               <xsl:otherwise>
                <xsl:choose>
                 <xsl:when test="$parsedAudioChannels[$pass]=2">2.0 </xsl:when>
                 <xsl:otherwise>
                  <xsl:choose>
                   <xsl:when test="$parsedAudioChannels[$pass]=3">2.1 </xsl:when>
                 <xsl:otherwise>
                  <xsl:choose>
                   <xsl:when test="$parsedAudioChannels[$pass]=7">6.1 </xsl:when>
                   <xsl:otherwise>
                    <!--<xsl:value-of select="$parsedAudioChannels[$pass]" />-->
                   </xsl:otherwise>
                  </xsl:choose>
                 </xsl:otherwise>
                  </xsl:choose>
                 </xsl:otherwise>
                </xsl:choose>
               </xsl:otherwise>
              </xsl:choose>
             </xsl:otherwise>			 
           </xsl:choose>
		<xsl:value-of select="$parse[$pass]"/>, </xsl:for-each>
	</xsl:variable>
	<xsl:value-of select="(substring($pa,1,(string-length($pa) - 2)))"/>
</xsl:variable>

<xsl:variable name="PlotText">
	<xsl:choose>
		<xsl:when test="contains(lower-case($imdb.plot),'short')  = 1">
			<xsl:choose>
				<xsl:when test="outline != 'UNKNOWN'"><xsl:value-of select="outline"/></xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="plot != 'UNKNOWN'"><xsl:value-of select="plot"/></xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
			<xsl:choose>
				<xsl:when test="plot != 'UNKNOWN'"><xsl:value-of select="plot"/></xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="outline != 'UNKNOWN'"><xsl:value-of select="outline"/></xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<!--
AudioChannels=<xsl:value-of select="$AudioChannels"/>
AudioChannelInfo=<xsl:value-of select="$AudioChannelInfo"/>
NoPlayButton=<xsl:value-of select="$NoPlayButton"/>
Multiparts=<xsl:value-of select="$Multiparts"/>
ExtraMenuEnable=<xsl:value-of select="$ExtraMenuEnable"/>
StartTrailerPosition=<xsl:value-of select="$StartTrailerPosition"/>
EndTrailerPosition=<xsl:value-of select="$EndTrailerPosition"/>
TrailerContentsExsist=<xsl:value-of select="$TrailerContentsExsist"/>
BonusContentsExsist=<xsl:value-of select="$BonusContentsExsist"/>
ExtraContentsExsist=<xsl:value-of select="$ExtraContentsExsist"/>
DeletedContentsExsist=<xsl:value-of select="$DeletedContentsExsist"/>
SpecialContentsExsist=<xsl:value-of select="$SpecialContentsExsist"/>
SpecialPlaylist=<xsl:value-of select="$SpecialPlayList"/>
Multiparts=<xsl:value-of select="$Multiparts"/>
Name=<xsl:value-of select="upper-case(/details/movie/baseFilename)"/>
Plottext=<xsl:value-of select="$PlotText"/>
-->



<!-- setup -->
<xsl:variable name="skin-reverseEpisodeOrder">false</xsl:variable>
<xsl:variable name="show_border">0</xsl:variable>
<xsl:variable name="maxTrailers">2</xsl:variable>

<!-- Movie name line -->
<xsl:variable name="bar1_mts_image_width">50</xsl:variable>
<xsl:variable name="bar1_height">36</xsl:variable>
<xsl:variable name="bar1_left_width">18</xsl:variable>
<xsl:variable name="bar1_right_width">36</xsl:variable>
<xsl:variable name="bar1_font_size">13</xsl:variable>
<xsl:variable name="bar1_correction_factor">18</xsl:variable>
<!--
<xsl:variable name="bar1_height">30</xsl:variable>
<xsl:variable name="bar1_left_width">15</xsl:variable>
<xsl:variable name="bar1_right_width">30</xsl:variable>
<xsl:variable name="bar1_left_pic">line1_left.png</xsl:variable>
<xsl:variable name="bar1_middle_pic">line1_middle.png</xsl:variable>
<xsl:variable name="bar1_right_pic">line1_right.png</xsl:variable>
-->
<xsl:variable name="bar1_left_pic">line_glas_left.png</xsl:variable>
<xsl:variable name="bar1_middle_pic">line_glas_middle.png</xsl:variable>
<xsl:variable name="bar1_right_pic">line_glas_right.png</xsl:variable>

<!-- Country, year and rating line -->
<xsl:variable name="bar2_font_size">13</xsl:variable>
<xsl:variable name="bar2_rating_font_size">8</xsl:variable>
<xsl:variable name="bar2_start_space_width">12</xsl:variable>
<xsl:variable name="RatingStarsImageWidth">128</xsl:variable>
<xsl:variable name="space_btw_country_rating_stars">20</xsl:variable>
<xsl:variable name="space_btw_title1_title2">6</xsl:variable> <!-- 10 -->
<xsl:variable name="space_btw_title2_table">43</xsl:variable> <!-- 32 -->

<xsl:variable name="RatingStarsWidth">
	<xsl:choose>
		<xsl:when test="rating = '-1'">0</xsl:when>
		<xsl:otherwise><xsl:value-of select="$RatingStarsImageWidth"/></xsl:otherwise>
	</xsl:choose>
</xsl:variable>
<!-- RatingStarsWidth=<xsl:value-of select="$RatingStarsWidth"/> -->
<xsl:variable name="title_bars_threshold">35</xsl:variable><!-- 45 -->

<xsl:variable name="max_nb_of_chars_for_title">74</xsl:variable>
<xsl:variable name="max_nb_of_chars_for_title_season">65</xsl:variable>

<xsl:variable name="playtime_width">113</xsl:variable>

<xsl:variable name="table_top_height">12</xsl:variable>
<xsl:variable name="table_width">1096</xsl:variable>
<xsl:variable name="table_bottom_height">18</xsl:variable>

<xsl:variable name="tablecontent_width">440</xsl:variable>
<xsl:variable name="episodetable_width">572</xsl:variable>
<xsl:variable name="description_width">120</xsl:variable>
<xsl:variable name="description_format_width">90</xsl:variable>

<xsl:variable name="studio_width">55</xsl:variable>

<xsl:variable name="nTrailer" select="//@isExtra"/>

<xsl:variable name="ImageFormat">
	<xsl:choose>
		<xsl:when test="contains(lower-case(detailPosterFile),'.jpg') = 1">jpg</xsl:when>
		<xsl:otherwise>png</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<html>
  <head>
  <link rel="StyleSheet" type="text/css" href="exportdetails_item_popcorn.css"></link>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <title><xsl:value-of select="title"/></title>

<!-- type="text/javascript"  <![CDATA[   ]]> -->
 <script >
//
  <xsl:if test="(//movie/season !=-1 or $VideoImagesOnlyForSeasons = 'false' and $VideoImagesEnable = 'true' ) or ( $Multiparts = 'true' and $SpecialPlayList = 'false')">
  function show(x)
  {
	if((document.styleSheets[2].cssRules[8].style.visibility) == "visible") // main menu
	{ 
		document.getElementById('r_episode').firstChild.nodeValue = document.getElementById('parttext').attributes[1].nodeValue; // Episode or  Starring 
		document.getElementById('title').firstChild.nodeValue = document.getElementById('title'+x).attributes[3].nodeValue; 	 // Title  
		document.getElementById('r_plot').firstChild.nodeValue = document.getElementById('title'+x).attributes[2].nodeValue; 	 // Plottext  
		document.getElementById('r_plot').attributes[1].nodeValue = document.getElementById('title'+x).attributes[1].nodeValue;  // Plotsize  
		document.getElementById('ep_num'+x).attributes[1].nodeValue = 's_episodenumbers';
		
		<xsl:if test="(//movie/season !=-1 or ( $VideoImagesOnlyForSeasons = 'false' and $Multiparts = 'true' and $SpecialPlayList = 'false' )) and $VideoImagesEnable = 'true'">

		<xsl:if test="$ExtraMenuEnable = 'true'">
		if((document.styleSheets[2].cssRules[7].style.visibility) == "visible") // Extra menu
		{
			document.styleSheets[2].cssRules[7].style.visibility="hidden";
			<xsl:if test="$VideoImagesEnable = 'false'">
			show_covers();
			</xsl:if>
		}
		</xsl:if>

		hide_covers();
		document.getElementById('Chimage').attributes[3].nodeValue = document.getElementById('title'+x).attributes[4].nodeValue;  // Insert Image 
		video_image_on();
		</xsl:if>
	}
	
  }
  
  function hide(x)
  {
	document.getElementById('r_episode').firstChild.nodeValue = document.getElementById('parttext').attributes[2].nodeValue; 
    document.getElementById('title').firstChild.nodeValue = document.getElementById('title0').attributes[3].nodeValue;
	document.getElementById('r_plot').firstChild.nodeValue = document.getElementById('title0').attributes[2].nodeValue; 
	document.getElementById('r_plot').attributes[1].nodeValue = document.getElementById('title0').attributes[1].nodeValue;
	document.getElementById('ep_num'+x).attributes[1].nodeValue = 'episodenumbers';

	<xsl:if test="(//movie/season !=-1 or ( $VideoImagesOnlyForSeasons = 'false' and $Multiparts = 'true' and $SpecialPlayList = 'false' )) and $VideoImagesEnable = 'true'">
	if((document.styleSheets[2].cssRules[4].style.visibility) == "visible") // Check if video pic is visible
	{	
		video_image_off();
		document.getElementById('Chimage').attributes[3].nodeValue = "#";  // Image
		show_covers();
	}
	</xsl:if>

  }
  </xsl:if>
  
  function cover_on_off()
  {
  	<xsl:if test="$ExtraMenuEnable = 'true'">
	if((document.styleSheets[2].cssRules[7].style.visibility) == "hidden") // extra menu off - otherwise blocking cover on off
	{
	</xsl:if>
		<xsl:if test="(//movie/season !=-1 or ( $VideoImagesOnlyForSeasons = 'false' and $Multiparts = 'true' and $SpecialPlayList = 'false' )) and $VideoImagesEnable = 'true'"> 
		if((document.styleSheets[2].cssRules[4].style.visibility) == "hidden") // video pic off - otherwise blocking cover on off
		{
		</xsl:if>
			if((document.styleSheets[1].cssRules[0].style.visibility) == "hidden")
			{
				show_covers();
				main_on();
			}
			else
			{
				hide_covers();
				main_off();
			}
		<xsl:if test="(//movie/season !=-1 or ( $VideoImagesOnlyForSeasons = 'false' and $Multiparts = 'true' and $SpecialPlayList = 'false')) and $VideoImagesEnable = 'true'"> 
		}
		</xsl:if>
	<xsl:if test="$ExtraMenuEnable = 'true'">
    } 
	</xsl:if>
   }

  <xsl:if test="$ExtraMenuEnable = 'true'">
  function extra_menu_on_off()
  {
	if((document.styleSheets[2].cssRules[8].style.visibility) == "visible") // main menu
	{
		if((document.styleSheets[2].cssRules[7].style.visibility) == "hidden") // Extra menu
		{
			<xsl:if test="(//movie/season !=-1 or ( $VideoImagesOnlyForSeasons = 'false' and $Multiparts = 'true' and $SpecialPlayList = 'false' )) and $VideoImagesEnable = 'true'"> 
			// Hide video image
			video_image_off();
			</xsl:if>
			
			// Turn off covers
			hide_covers();

			// Show extra menu
			document.styleSheets[2].cssRules[7].style.visibility="visible";
			
			document.getElementById('extbtn').attributes[3].nodeValue = document.getElementById('extbtn').attributes[5].nodeValue; // activate link
			document.getElementById('extbtn').attributes[4].nodeValue = document.getElementById('extbtn').attributes[5].nodeValue; // activate link
			
		}
		else
		{
			// Hide Extra Menu
			document.styleSheets[2].cssRules[7].style.visibility="hidden";

			document.getElementById('extbtn').attributes[3].nodeValue = "#"; //hide link
			document.getElementById('extbtn').attributes[4].nodeValue = "#"; //hide link
			
			// Show covers
			show_covers();
		}
	}
  } 
  </xsl:if>
  
  
  function main_on()
  {
			document.styleSheets[2].cssRules[8].style.visibility="visible";  // Main table
			document.styleSheets[3].cssRules[0].style.visibility="visible";  // vertical_line
			document.styleSheets[4].cssRules[0].style.visibility="visible";  // studio
			document.styleSheets[4].cssRules[1].style.visibility="visible";  // video
			document.styleSheets[4].cssRules[2].style.visibility="visible";  // audio
			document.styleSheets[4].cssRules[3].style.visibility="visible";  // certification
			document.styleSheets[4].cssRules[4].style.visibility="visible";  // audio lines
			document.styleSheets[4].cssRules[5].style.visibility="visible";  // audio lines txt
			document.styleSheets[4].cssRules[6].style.visibility="visible";  // subtitle
  }

  function main_off()
  {
			document.styleSheets[2].cssRules[8].style.visibility="hidden"; 	// Main table
			document.styleSheets[3].cssRules[0].style.visibility="hidden";  // vertical_line
			document.styleSheets[4].cssRules[0].style.visibility="hidden";  // studio
			document.styleSheets[4].cssRules[1].style.visibility="hidden";  // video
			document.styleSheets[4].cssRules[2].style.visibility="hidden";  // audio
			document.styleSheets[4].cssRules[3].style.visibility="hidden";  // certification
			document.styleSheets[4].cssRules[4].style.visibility="hidden";  // audio lines
			document.styleSheets[4].cssRules[5].style.visibility="hidden";  // audio lines txt
			document.styleSheets[4].cssRules[6].style.visibility="hidden";  // subtitle
  }
  <xsl:if test="(//movie/season !=-1 or ( $VideoImagesOnlyForSeasons = 'false' and $Multiparts = 'true' and $SpecialPlayList = 'false' )) and $VideoImagesEnable = 'true'"> 
  function video_image_off()
  {
			document.styleSheets[2].cssRules[4].style.visibility="hidden"; // video pic
			document.styleSheets[2].cssRules[6].style.visibility="hidden"; // video cover
  }
 
  function video_image_on()
  {
		document.styleSheets[2].cssRules[6].style.visibility="visible"; // video cover
		document.styleSheets[2].cssRules[4].style.visibility="visible"; // video pic
  }
  </xsl:if>
  function hide_covers()
  {
		document.styleSheets[1].cssRules[0].style.visibility="hidden"; //Underlay_box
		document.styleSheets[1].cssRules[1].style.visibility="hidden"; //Box
		document.styleSheets[1].cssRules[2].style.visibility="hidden"; //Box Poster
		document.styleSheets[1].cssRules[3].style.visibility="hidden"; //Underlay Poster
		document.styleSheets[1].cssRules[4].style.visibility="hidden"; //HD Tag
		document.styleSheets[1].cssRules[5].style.visibility="hidden"; //Version Tag
		document.styleSheets[1].cssRules[6].style.visibility="hidden"; //Watch Tag
  }
  
  function show_covers()
  {
  		document.styleSheets[1].cssRules[0].style.visibility="visible"; //Underlay_box
		document.styleSheets[1].cssRules[1].style.visibility="visible"; //Box
		document.styleSheets[1].cssRules[2].style.visibility="visible"; //Box Poster
		document.styleSheets[1].cssRules[3].style.visibility="visible"; //Underlay Poster
		document.styleSheets[1].cssRules[4].style.visibility="visible"; //HD Tag
		document.styleSheets[1].cssRules[5].style.visibility="visible"; //Version Tag
		document.styleSheets[1].cssRules[6].style.visibility="visible"; //Watch Tag
  }

<xsl:if test="$MoreButtonActive = 'true'">
  function hide_navbar()
  {
		//document.styleSheets[5].cssRules[0].style.visibility="hidden"; //Return
		document.styleSheets[5].cssRules[1].style.visibility="hidden"; //Home
  }

  function show_navbar()
  {
  		//document.styleSheets[5].cssRules[0].style.visibility="visible"; //Return
		document.styleSheets[5].cssRules[1].style.visibility="visible"; //Home
  }
</xsl:if>

  function initpage()
  {
	document.styleSheets[2].cssRules[8].style.visibility="visible";  // Main table
	<xsl:if test="(//movie/season !=-1 or ( $VideoImagesOnlyForSeasons = 'false' and $Multiparts = 'true' and $SpecialPlayList = 'false' )) and $VideoImagesEnable = 'true'"> 
	document.styleSheets[2].cssRules[4].style.visibility="hidden"; // video pic
	</xsl:if>
	
	<xsl:if test="$ExtraMenuEnable = 'true'">
	document.styleSheets[2].cssRules[7].style.visibility="hidden"; // Extra Menu
	</xsl:if>
  }
 
  function showmore()
  {

		document.getElementById('r_directed').firstChild.nodeValue = document.getElementById('Line1R').attributes[3].nodeValue; 	// Directed by -> Released
		document.getElementById('r_directedtxt').firstChild.nodeValue = document.getElementById('Line1R').attributes[4].nodeValue; 	// Directed by name -> release date

		document.getElementById('r_company').firstChild.nodeValue = document.getElementById('Line2R').attributes[3].nodeValue; 		// Company -> Audio
		document.getElementById('r_companytxt').firstChild.nodeValue = document.getElementById('Line2R').attributes[4].nodeValue; 	// Company name -> audio content
						
		document.getElementById('r_episode').firstChild.nodeValue = document.getElementById('Line3R').attributes[3].nodeValue; 		// Starring -> Language
		document.getElementById('title').firstChild.nodeValue = document.getElementById('Line3R').attributes[4].nodeValue; 	 		// Actor -> language content
				
		document.getElementById('r_plottitle').firstChild.nodeValue = document.getElementById('Line4R').attributes[4].nodeValue; 	// Plot -> Library 
		document.getElementById('r_plot').firstChild.nodeValue = document.getElementById('Line4R').attributes[6].nodeValue; 	 	// Plottext -> library content
		document.getElementById('r_plot').attributes[1].nodeValue = document.getElementById('Line4R').attributes[5].nodeValue;  	// Plot font size 

		document.getElementById('r_system').firstChild.nodeValue = document.getElementById('Line5R').attributes[3].nodeValue; 		// System -> File
		document.getElementById('r_systemtxt').firstChild.nodeValue = document.getElementById('Line5R').attributes[4].nodeValue; 	// System content -> file infos

		document.getElementById('r_video').firstChild.nodeValue = document.getElementById('Line6R').attributes[3].nodeValue; 		// Video -> YAMJ 
		document.getElementById('r_videotxt').firstChild.nodeValue = document.getElementById('Line6R').attributes[4].nodeValue; 	// Video content -> YAMJ infos
  } 
  
  function hidemore()
  {
		document.getElementById('r_directed').firstChild.nodeValue = document.getElementById('Line1R').attributes[1].nodeValue; 	// Released -> Directed by 
		document.getElementById('r_directedtxt').firstChild.nodeValue = document.getElementById('Line1R').attributes[2].nodeValue; 	// release date -> Directed by name  

		document.getElementById('r_company').firstChild.nodeValue = document.getElementById('Line2R').attributes[1].nodeValue; 		// Audio -> Company  
		document.getElementById('r_companytxt').firstChild.nodeValue = document.getElementById('Line2R').attributes[2].nodeValue; 	// audio content -> Company name 
						
		document.getElementById('r_episode').firstChild.nodeValue = document.getElementById('Line3R').attributes[1].nodeValue; 		// Language -> Starring  
		document.getElementById('title').firstChild.nodeValue = document.getElementById('Line3R').attributes[2].nodeValue; 	 		// language content -> Actor 
				
		document.getElementById('r_plottitle').firstChild.nodeValue = document.getElementById('Line4R').attributes[1].nodeValue; 	// Library -> Plot   
		document.getElementById('r_plot').firstChild.nodeValue = document.getElementById('Line4R').attributes[3].nodeValue; 	 	// library content -> Plottext 
		document.getElementById('r_plot').attributes[1].nodeValue = document.getElementById('Line4R').attributes[2].nodeValue;  	// Plot font size 

		document.getElementById('r_system').firstChild.nodeValue = document.getElementById('Line5R').attributes[1].nodeValue; 		// File -> System  
		document.getElementById('r_systemtxt').firstChild.nodeValue = document.getElementById('Line5R').attributes[2].nodeValue; 	// file infos -> System content 

		document.getElementById('r_video').firstChild.nodeValue = document.getElementById('Line6R').attributes[1].nodeValue; 		// YAMJ -> Video 
		document.getElementById('r_videotxt').firstChild.nodeValue = document.getElementById('Line6R').attributes[2].nodeValue; 	// YAMJ infos -> Video content  
  } 
  
//

</script>

<xsl:choose>
<xsl:when test="$PCView = 'false'">
  <style type="text/css">
    /* <![CDATA[ */
    div {
      width: 322px;
      height: 400px;
      padding: .5em;
    }
    div#underlay_box {
      position: fixed;
	  visibility: visible;
      top: 108px;
      left: 12px;
    }
	div#box_cover {
      position: fixed;
	  visibility: visible;
      top: 90px;
      left: 60px;
    }
	div#box_poster {
      position: fixed;
	  visibility: visible;
      top: 96px;
      left: 99px;
    }
	div#underlay_poster {
      position: fixed;
	  visibility: visible;
      top: 115px;
      left: 46px;
    }
	div#box_hd_tag {
      position: fixed;
	  visibility: visible;
      top: 105px;
      left: 71px;
    }
	div#version_tag {
      position: fixed;
	  visibility: visible;
      top: 421px;
      left: 304px;
    }
	div#watch_tag {
      position: fixed;
	  visibility: visible;
      top: 96px;
      left: 99px;
    }	
    /* ]]> */
  </style>


  
   <style type="text/css">
    /* <![CDATA[ */
    div {
      width: 2px;
      height: 3px;
      padding: .5em;
    }
    div#selection_box_back {
      position: fixed;
	  visibility: visible;
      top: 583px;
      left: 5px;
    }
	div#selection_box_1 {
      position: fixed;
	  visibility: visible;
      top: 543px;
      left: 30px;
    }
	div#selection_box_2 {
      position: fixed;
	  visibility: visible;
      top: 543px;
      left: 150px;
    }
	div#selection_box_back_right {
      position: fixed;
	  visibility: visible;
      top: 583px;
      left: 822px;
    }
	div#videopic {
      position: fixed;
	  visibility: hidden;
	  border: 0;
      top: 160px;
      left: 42px;
    }
	div#videopicback {
      position: fixed;
	  visibility: hidden;
	  border: 0;
      top: 150px;
      left: 58px;
    }
	div#videopicborder {
      position: fixed;
	  visibility: hidden;
	  border: 0;
      top: 147px;
      left: 26px;
    }
	table#extra { 
	  visibility: hidden;
	  border: 0;
	}
	table#main { 
	  visibility: visible;
	  border: 0;
	}
	div#selection_box_1_poster {
      position: fixed;
	  visibility: visible;
      top: 545px;
      left: 40px;
    }
	div#selection_box_2_poster {
      position: fixed;
	  visibility: visible;
      top: 545px;
      left: 160px;
    }
    /* ]]> */
  </style>
   
  <style type="text/css">
    /* <![CDATA[ */
    div {
      width: 2px;
      height: 3px;
      padding: .5em;
    }
    div#vertical_line {
      position: fixed;
	  visibility: visible;
      top: 168px;
      left: 612px;
    }
    /* ]]> */
  </style>   
 
  <style type="text/css">
    /* <![CDATA[ */
    div {
      width: 2px;
      height: 3px;
      padding: .5em;
    }
	div#studio {
      position: fixed;
	  visibility: visible;
      top: 148px;
      left: 428px;
    }
    div#video_src {
      position: fixed;
	  visibility: visible;
      top: 200px;
      left: 428px;
    }
	div#audio_codec {
      position: fixed;
	  visibility: visible;
      top: 252px;
      left: 428px;
    }
	div#certification {
      position: fixed;
	  visibility: visible;
      top: 371px;
      left: 428px;
	}
	div#audiochannels {
      position: fixed;
	  visibility: visible;
      top: 304px;
      left: 431px;
	}
	div#audiochannelstxt {
      position: fixed;
	  visibility: visible;
      top: 308px;
      left: 467px;
	}	
	div#subtitle {
      position: fixed;
	  visibility: visible;
      top: 341px;
      left: 428px;
    }
    /* ]]> */
  </style>
 
  <style type="text/css">
    /* <![CDATA[ */
    div {
      width: 2px;
      height: 3px;
      padding: .5em;
    }
    div#nav_return {
      position: fixed;
	  visibility: hidden;
      top: 43px;
      left: 965px;
    }
    div#nav_home {
      position: fixed;
	  visibility: hidden;
      top: 43px;
      left: 1022px;
    }
    /* ]]> */
  </style>    
  
  
  </xsl:when>
  
  <xsl:otherwise>
   <style type="text/css">
    /* <![CDATA[ */
    div {
      width: 322px;
      height: 400px;
      padding: .5em;
    }
    div#underlay_box {
      position: fixed;
	  visibility: visible;
      top: 142px;
      left: 96px;
    }
	div#box_cover {
      position: fixed;
	  visibility: visible;
      top: 124px;
      left: 144px;
    }
    /* ]]> */
  </style>


  
   <style type="text/css">
    /* <![CDATA[ */
     div {
      width: 2px;
      height: 3px;
      padding: .5em;
    }
    div#selection_box_back {
      position: fixed;
	  visibility: visible;
      top: 637px;
      left: 89px;
    }
	div#selection_box_1 {
      position: fixed;
	  visibility: visible;
      top: 597px;
      left: 114px;
    }
	div#selection_box_2 {
      position: fixed;
	  visibility: visible;
      top: 597px;
      left: 234px;
    }
	div#selection_box_back_right {
      position: fixed;
	  visibility: visible;
      top: 637px;
      left: 906px;
    }
	div#videopic {
      position: fixed;
	  visibility: hidden;
	  border: 0;
      top: 160px;
      left: 42px;
    }
	div#videopicback {
      position: fixed;
	  visibility: hidden;
	  border: 0;
      top: 150px;
      left: 58px;
    }
	div#videopicborder {
      position: fixed;
	  visibility: hidden;
	  border: 0;
      top: 147px;
      left: 26px;
    }
	table#extra { 
	  visibility: hidden;
	  border: 0;
	}
	table#main { 
	  visibility: visible;
	  border: 0;
	}
    /* ]]> */
  </style>
   
  <style type="text/css">
    /* <![CDATA[ */
    div {
      width: 2px;
      height: 3px;
      padding: .5em;
    }
    div#vertical_line {
      position: fixed;
	  visibility: visible;
      top: 218px;
      left: 694px;
    }
    /* ]]> */
  </style>   
 
  <style type="text/css">
    /* <![CDATA[ */
    div {
      width: 2px;
      height: 3px;
      padding: .5em;
    }
	div#studio {
      position: fixed;
	  visibility: visible;
      top: 197px;
      left: 512px;
    }
    div#video_src {
      position: fixed;
	  visibility: visible;
      top: 249px;
      left: 512px;
    }
	div#audio_codec {
      position: fixed;
	  visibility: visible;
      top: 301px;
      left: 512px;
    }
	div#certification {
      position: fixed;
	  visibility: visible;
      top: 420px;
      left: 512px;
	}
	div#audiochannels {
      position: fixed;
	  visibility: visible;
      top: 353px;
      left: 515px;
	}
	div#audiochannelstxt {
      position: fixed;
	  visibility: visible;
      top: 357px;
      left: 551px;
	}	
	div#subtitle {
      position: fixed;
	  visibility: visible;
      top: 390px;
      left: 512px;
    }
    /* ]]> */
  </style> 

  <style type="text/css">
    /* <![CDATA[ */
    div {
      width: 2px;
      height: 3px;
      padding: .5em;
    }
    div#nav_return {
      position: fixed;
	  visibility: hidden;
      top: 43px;
      left: 965px;
    }
    div#nav_home {
      position: fixed;
	  visibility: hidden;
      top: 43px;
      left: 1022px;
    }
    /* ]]> */
  </style>   
  
  </xsl:otherwise>  
</xsl:choose>	
		
</head>


<xsl:variable name="star_rating">true</xsl:variable>
<xsl:variable name="full_rating">true</xsl:variable>

	<!-- Select Fanart or alternative background -->
	<body bgproperties="fixed" focuscolor="transparent" FOCUSTEXT="#FFCC33"> 
	<xsl:attribute name="background">
		<xsl:choose>
			<xsl:when test="$UseOneBackgroundOnly = 'true'">pictures/Index/backgroundall.jpg</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="fanartFile='UNKNOWN'">pictures/detail/background.jpg</xsl:when>
					<xsl:otherwise><xsl:value-of select="fanartFile"/></xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>
<!--	<xsl:choose>
		<xsl:when test="$NoPlayButton = 'true'"><xsl:attribute name="onloadset">e1</xsl:attribute></xsl:when>
		<xsl:otherwise><xsl:attribute name="onloadset">1</xsl:attribute></xsl:otherwise>
	</xsl:choose>-->
	<xsl:attribute name="onloadset">1</xsl:attribute>
	<xsl:attribute name="onload">initpage()</xsl:attribute>
	
	
	<!-- End Select Fanart or alternative background -->


    <table class="main" align="center" border="{$show_border}" cellpadding="0" cellspacing="0" width="1096">
      <tbody>
        <tr>
			<!-- Title bar -->
			<td colspan="8" rowspan="1">
				<table border="{$show_border}" cellpadding="0" cellspacing="0">
					<td>
						<table border="{$show_border}" cellpadding="0" cellspacing="0" background="pictures/detail/{$bar1_left_pic}">
							<td width="{$bar1_left_width}" height="{$bar1_height}">
							</td>
						</table>
					</td>
					<td>
						<table border="{$show_border}" cellpadding="0" cellspacing="0" background="pictures/detail/{$bar1_middle_pic}" >
							<td width="{$bar1_mts_image_width}" height="{$bar1_height}">
								<!-- GFX symbol for Season,Movie and Trailer -->
								
								<xsl:choose>
									<xsl:when test="$nTrailer = 'true'">
										<img src="pictures/detail/trailer.png" align="left" > </img>
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test="//movie/season = -1">
												<!-- Movie -->
												<img src="pictures/detail/movie.png" align="left" > </img>
											</xsl:when>
											<xsl:otherwise>
												<!-- Season -->
												<img src="pictures/detail/season.png" align="left" > </img>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
								<!-- <img src="pictures/detail/rol.png" align="left" > </img> -->
								
							</td>
						</table>
					</td>
					<td>
						<table border="{$show_border}" cellpadding="0" cellspacing="0" background="pictures/detail/{$bar1_middle_pic}" >
							<!-- Calculate the text width of bar 1 -->
							<!-- Calculate Bar2 lenght -->
							<xsl:choose>
									<!-- country -->
									<xsl:when test="country != 'UNKNOWN'">
										<xsl:variable name="nCountry"><xsl:value-of select="country"/></xsl:variable>
										<xsl:variable name="nRating"><xsl:value-of select="rating div 10" /></xsl:variable>
										<xsl:variable name="cRating">/10</xsl:variable>
										<xsl:variable name="sRating" select="string-join(('(',$nRating,$cRating,')'),'')" />
										<!-- Test -->
										<!-- <td width="{$nCountry}" height="{$nRating}" align="{$cRating}" valign="{$sRating}"></td> -->
											<xsl:choose>
												<xsl:when test="year != 'UNKNOWN'">
													<xsl:variable name="nYear"><xsl:value-of select="year"/></xsl:variable>
													<xsl:variable name="sCountryBar" select="(string-join(($nCountry,',',' ',$nYear),''))" />
												
													<xsl:variable name="cCountryWidth" select="((string-length($sCountryBar) * $bar2_font_size + string-length($sRating) * $bar2_rating_font_size)+$RatingStarsWidth + $space_btw_country_rating_stars+$bar2_start_space_width+$bar1_right_width)"/>

								<!--		<td width="{$nYear}" height="{$sCountryBar}" align="{$cCountryWidth}"></td> -->
										
													<!-- Template -->
													<xsl:call-template name="Bar1WithCalc">
															<xsl:with-param name="bar2width" select="$cCountryWidth"/>
															<xsl:with-param name="bar1_font_size" select="$bar1_font_size"/>
															<xsl:with-param name="bar1_height" select="$bar1_height"/>
															<xsl:with-param name="bar1_mts_image_width" select="$bar1_mts_image_width"/>
															<xsl:with-param name="bar1_correction_factor" select="$bar1_correction_factor"/>
															<xsl:with-param name="max_nb_of_chars_for_title" select="$max_nb_of_chars_for_title"/>
															<xsl:with-param name="max_nb_of_chars_for_title_season" select="$max_nb_of_chars_for_title_season"/>
															<xsl:with-param name="bar1_right_width" select="$bar1_right_width"/>
															<xsl:with-param name="title_bars_threshold" select="$title_bars_threshold"/>
													</xsl:call-template>
													<!-- END Template -->
												</xsl:when>
												<xsl:otherwise>
												
													<xsl:variable name="cCountryWidth" select="((string-length($nCountry) * $bar2_font_size + string-length($sRating) * $bar2_rating_font_size) + $RatingStarsWidth+$space_btw_country_rating_stars+$bar2_start_space_width+$bar1_right_width)"/>
													<!-- Template -->
													<xsl:call-template name="Bar1WithCalc">
															<xsl:with-param name="bar2width" select="$cCountryWidth"/>
															<xsl:with-param name="bar1_font_size" select="$bar1_font_size"/>
															<xsl:with-param name="bar1_height" select="$bar1_height"/>
															<xsl:with-param name="bar1_mts_image_width" select="$bar1_mts_image_width"/>
															<xsl:with-param name="bar1_correction_factor" select="$bar1_correction_factor"/>
															<xsl:with-param name="max_nb_of_chars_for_title" select="$max_nb_of_chars_for_title"/>
															<xsl:with-param name="max_nb_of_chars_for_title_season" select="$max_nb_of_chars_for_title_season"/>
															<xsl:with-param name="bar1_right_width" select="$bar1_right_width"/>
															<xsl:with-param name="title_bars_threshold" select="$title_bars_threshold"/>	
													</xsl:call-template>
													<!-- END Template -->
												</xsl:otherwise>
											</xsl:choose>
									</xsl:when>
									<xsl:otherwise>
										<!-- Country Unknown -->
										<xsl:variable name="nRating"><xsl:value-of select="rating div 10" /></xsl:variable>
										<xsl:variable name="cRating">/10</xsl:variable>
										<xsl:variable name="sRating" select="string-join(($nRating,$cRating),'')" />
										<xsl:choose>
										<!-- Year -->
											<xsl:when test="year != 'UNKNOWN'">
												<xsl:variable name="sYear"><xsl:value-of select="year"/></xsl:variable>
												<xsl:variable name="nYear" select="(string-join(('   ',$sYear),''))"/>
												<!-- length_sYear=<xsl:value-of select="string-length($sYear)"/>
												length_nYear=<xsl:value-of select="string-length($nYear)"/> -->
												<xsl:variable name="cCountryWidth" select="((string-length($nYear) * $bar2_font_size + string-length($sRating) * $bar2_rating_font_size) + $RatingStarsWidth + $space_btw_country_rating_stars+$bar2_start_space_width+$bar1_right_width)"/>												
												<!-- Template -->
													<xsl:call-template name="Bar1WithCalc">
															<xsl:with-param name="bar2width" select="$cCountryWidth"/>
															<xsl:with-param name="bar1_font_size" select="$bar1_font_size"/>
															<xsl:with-param name="bar1_height" select="$bar1_height"/>
															<xsl:with-param name="bar1_mts_image_width" select="$bar1_mts_image_width"/>
															<xsl:with-param name="bar1_correction_factor" select="$bar1_correction_factor"/>
															<xsl:with-param name="max_nb_of_chars_for_title" select="$max_nb_of_chars_for_title"/>
															<xsl:with-param name="max_nb_of_chars_for_title_season" select="$max_nb_of_chars_for_title_season"/>
															<xsl:with-param name="bar1_right_width" select="$bar1_right_width"/>
															<xsl:with-param name="title_bars_threshold" select="$title_bars_threshold"/>	
													</xsl:call-template>
													<!-- END Template -->
											</xsl:when>
											<xsl:otherwise>
												<xsl:variable name="cCountryWidth" select="(string-length($sRating) * $bar2_rating_font_size)+$RatingStarsWidth+$space_btw_country_rating_stars+$bar2_start_space_width+$bar1_right_width"/>
													<!-- Template -->
													<xsl:call-template name="Bar1WithCalc">
															<xsl:with-param name="bar2width" select="$cCountryWidth"/>
															<xsl:with-param name="bar1_font_size" select="$bar1_font_size"/>
															<xsl:with-param name="bar1_height" select="$bar1_height"/>
															<xsl:with-param name="bar1_mts_image_width" select="$bar1_mts_image_width"/>
															<xsl:with-param name="bar1_correction_factor" select="$bar1_correction_factor"/>
															<xsl:with-param name="max_nb_of_chars_for_title" select="$max_nb_of_chars_for_title"/>
															<xsl:with-param name="max_nb_of_chars_for_title_season" select="$max_nb_of_chars_for_title_season"/>
															<xsl:with-param name="bar1_right_width" select="$bar1_right_width"/>
															<xsl:with-param name="title_bars_threshold" select="$title_bars_threshold"/>	
													</xsl:call-template>
													<!-- END Template -->
											</xsl:otherwise>
										</xsl:choose>
										<!-- END Year -->
									</xsl:otherwise>
							</xsl:choose>
							<!-- END Calculate Bar2 lenght -->
						</table>
					</td>
					<td>
						<table border="{$show_border}" cellpadding="0" cellspacing="0" background="pictures/detail/{$bar1_right_pic}" >
							<td width="{$bar1_right_width}" height="{$bar1_height}">
							</td>
						</table>
					</td>
				</table>			
			</td>
			<!-- Title bar end-->
        </tr>
        <tr>
			<!-- Spacer -->
			<td colspan="8" rowspan="1" height="{$space_btw_title1_title2}">
				<!-- Navigation using remote keys: Home, PageUP/PageDown (First/Last), Prev/Next & Left/Right (Previous/Next) -->
				<a>
					<xsl:attribute name="TVID">HOME</xsl:attribute>
					<xsl:choose>
						<xsl:when test="$UseHomeButtonFunctionForExternalIndexing = 'true'"><xsl:attribute name="href">../index.htm</xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="href">Other_All_1.html</xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</a>
				<a>
					<xsl:attribute name="TVID">PGDN</xsl:attribute> <!-- PREV (old PGUP) -->
					<xsl:choose> <!--  or previous = first -->
						<xsl:when test="previous='UNKNOWN'"><xsl:attribute name="href"><xsl:value-of select="last"/>.html</xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="href"><xsl:value-of select="previous"/>.html</xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</a>
				<a>
					<xsl:attribute name="TVID">PGUP</xsl:attribute> <!-- NEXT (old PGDN) -->
					<xsl:choose> <!--  or next = last -->
						<xsl:when test="next='UNKNOWN'"><xsl:attribute name="href"><xsl:value-of select="first"/>.html</xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="href"><xsl:value-of select="next"/>.html</xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</a>
				<a>
					<xsl:attribute name="TVID">GREEN</xsl:attribute> <!-- PREV (old PGUP) -->
					<xsl:choose> <!--  or previous = first -->
						<xsl:when test="previous='UNKNOWN'"><xsl:attribute name="href"><xsl:value-of select="last"/>.html</xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="href"><xsl:value-of select="previous"/>.html</xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</a>
				<a>
					<xsl:attribute name="TVID">YELLOW</xsl:attribute> <!-- NEXT (old PGDN) -->
					<xsl:choose> <!--  or next = last -->
						<xsl:when test="next='UNKNOWN'"><xsl:attribute name="href"><xsl:value-of select="first"/>.html</xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="href"><xsl:value-of select="next"/>.html</xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</a>
				<a TVID="RED">
					<xsl:attribute name="href">#sbox1</xsl:attribute>
				</a>
				<a TVID="BLUE">
					<xsl:attribute name="href">#sbox2</xsl:attribute>
				</a>
				
				<!-- INFO Button -->
				<a tvid="INFO" href="Detail_Info.html"/>
				
				<xsl:choose>
					<xsl:when test="$nTrailer = 'true'"><a tvid="TAB" href="Other_Extras_1.html"/></xsl:when>
					<xsl:otherwise><a tvid="REPEAT" href="Other_All_1.html"/></xsl:otherwise>
				</xsl:choose>
				
				<!-- jump to entered number -->
				<xsl:if test="//movie/season !=-1 or ( $Multiparts = 'true' and $SpecialPlayList = 'false') ">
					<xsl:for-each select="files/file">
						<xsl:choose>
							<xsl:when test="@firstPart!=@lastPart">
						
								<xsl:for-each select="filePlot">
									<a>
										<xsl:attribute name="href">#e<xsl:value-of select="@part"/></xsl:attribute>
										<xsl:attribute name="tvid"><xsl:value-of select="@part" /></xsl:attribute>
									</a>
								</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>
								<a>
									<xsl:attribute name="href">#e<xsl:value-of select="position()"/></xsl:attribute>
									<xsl:attribute name="tvid"><xsl:value-of select="@firstPart" /></xsl:attribute>
								</a>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</xsl:if>
				
				<!-- DELETE Button -->
				<a tvid="clear" href="#" onclick="cover_on_off()"/>
				
				<!-- MENU Button -->
				<xsl:choose>
					<xsl:when test="$ExtraMenuEnable = 'true'">
						<a tvid="TAB" href="#ExtraButton" onclick="extra_menu_on_off()"/> 
					</xsl:when>
					<xsl:otherwise>
						<a tvid="TAB" href="#"/>
					</xsl:otherwise>					
				</xsl:choose>
				
				<!--
				<a name="goright" onfocusload="">
					<xsl:if test="count(files/file) = 1">
						<xsl:attribute name="TVID">RIGHT</xsl:attribute>
					</xsl:if>
					<xsl:attribute name="href">
						<xsl:choose><xsl:when test="contains(next,'UNKNOWN')"><xsl:value-of select="first"/>.html</xsl:when><xsl:otherwise><xsl:value-of select="next"/>.html</xsl:otherwise></xsl:choose>
					</xsl:attribute>
				</a>
				
				<a name="goleft" onfocusload="">
					<xsl:if test="count(files/file) = 1">
						<xsl:attribute name="TVID">LEFT</xsl:attribute>
					</xsl:if>
					<xsl:attribute name="href">
						<xsl:choose><xsl:when test="contains(previous,'UNKNOWN')"><xsl:value-of select="//preferences/homePage"/></xsl:when><xsl:otherwise><xsl:value-of select="last"/>.html</xsl:otherwise></xsl:choose>
					</xsl:attribute>
				</a>
				-->
				<!--
				<a>
					<xsl:attribute name="TVID">PREV</xsl:attribute>
					<xsl:attribute name="href"><xsl:choose><xsl:when test="contains(next,'UNKNOWN')">
					<xsl:value-of select="first" />.html</xsl:when><xsl:otherwise><xsl:value-of select="next" />.html</xsl:otherwise></xsl:choose></xsl:attribute>
				</a>
				<a>
					<xsl:attribute name="TVID">NEXT</xsl:attribute>
					<xsl:attribute name="href"><xsl:choose><xsl:when test="contains(previous,'UNKNOWN')">
					<xsl:value-of select="$mjb.homePage" /></xsl:when><xsl:otherwise><xsl:value-of select="last" />.html</xsl:otherwise></xsl:choose></xsl:attribute>
				</a>
				-->
				<!-- END Navigation using remote keys: Home, PageUP/PageDown (First/Last), Prev/Next & Left/Right (Previous/Next) -->
			</td>
        </tr>
        <tr>
			<!-- Year and rating bar -->
			<td colspan="8" rowspan="1">
				<table border="{$show_border}" cellpadding="0" cellspacing="0">
					<td>
						<table border="{$show_border}" cellpadding="0" cellspacing="0" background="pictures/detail/{$bar1_left_pic}">
							<td width="{$bar1_left_width}" height="{$bar1_height}">
							</td>
						</table>
					</td>
					<td>
						<table border="{$show_border}" cellpadding="0" cellspacing="0" background="pictures/detail/{$bar1_middle_pic}">
							<td width="{$bar2_start_space_width}" height="{$bar1_height}">
							</td>
						</table>
					</td>
					<td>
						<table border="{$show_border}" cellpadding="0" cellspacing="0" background="pictures/detail/{$bar1_middle_pic}">
							<td class="title2" height="{$bar1_height}" align="center">
								<!-- country -->
								<xsl:choose>
									<xsl:when test="country != 'UNKNOWN'"><xsl:value-of select="country" />, </xsl:when>
									<xsl:otherwise>&#160;&#160;&#160;</xsl:otherwise>
								</xsl:choose>
								<!-- END country -->
								<!-- Year -->
								<xsl:choose>
									<xsl:when test="year != 'UNKNOWN'"><xsl:value-of select="year"/></xsl:when>
									<xsl:otherwise>&#160;&#160;&#160;</xsl:otherwise>
								</xsl:choose>
								<!-- END Year -->
							</td>
						</table>
					</td> 
					
					<td>
						<table border="{$show_border}" cellpadding="0" cellspacing="0" background="pictures/detail/{$bar1_middle_pic}">
							<td class="title2" height="{$bar1_height}" width="{$space_btw_country_rating_stars}" align="center"></td>
							<td class="rating ">
								<!-- and rating -->
								<xsl:if test="rating != -1">
									<xsl:if test="$full_rating = 'true'">
										<xsl:if test="$star_rating = 'true'">
											(<xsl:value-of select="rating div 10" />/10)
										</xsl:if>
									<!--	<xsl:if test="$star_rating = 'false'">
											IMDB Rating: <xsl:value-of select="rating div 10" />/10
										</xsl:if> -->
									</xsl:if>
								
									<xsl:if test="$star_rating = 'true'">
										<img><xsl:attribute name="src">pictures/detail/rating_<xsl:value-of select="round(rating div 10)*10" />.png</xsl:attribute></img>
									</xsl:if>
								</xsl:if>
							</td>
						</table>
					</td>
					<td>
						<table border="{$show_border}" cellpadding="0" cellspacing="0" background="pictures/detail/{$bar1_right_pic}" >
							<td width="{$bar1_right_width}" height="{$bar1_height}">
							</td>
						</table>
					</td>
					
				</table>
			</td>
        </tr>
        <tr>
			<!-- Spacer -->
			<td colspan="8" rowspan="1" height="{$space_btw_title2_table}">
<!-- +++++++++++++++++++++++++++++++++++ -->			
			<!--  Information for plots 	-->  
			<!-- parttext Episode or Disc... - Starring -->
			<xsl:if test="//movie/season !=-1 or ( $Multiparts = 'true' and $SpecialPlayList = 'false')"> <!--count(files/file) &gt;= 2 -->
				<a id="parttext">
					<xsl:attribute name="rtext">
						<xsl:choose>
								<xsl:when test="//movie/season != -1">Episode</xsl:when>
								<xsl:otherwise>
									<xsl:if test="(contains(upper-case(baseFilename),'[DISC')) = 1">DISC</xsl:if>
									<xsl:if test="(contains(upper-case(baseFilename),'[DISK')) = 1">DISK</xsl:if>
									<xsl:if test="(contains(upper-case(baseFilename),'[PART')) = 1">PART</xsl:if>
									<xsl:if test="(contains(upper-case(baseFilename),'[CD')) = 1">CD</xsl:if>
								</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="otext">Starring</xsl:attribute>
				</a>
				<!-- title 0 id class eplot etitile -->
				<a id="title0">
					<xsl:choose>
						<xsl:when test="$PlotText != 'UNKNOWN'">
							<xsl:attribute name="class"><xsl:if test="string-length(concat(substring($PlotText, 1, $max_nb_of_chars_for_plot), '...')) >= 356">large-</xsl:if>plot</xsl:attribute>
							<xsl:attribute name="eplot">
								<xsl:choose>
									<xsl:when test="string-length($PlotText) >= $max_nb_of_chars_for_plot"><xsl:value-of select="concat(substring($PlotText, 1, $max_nb_of_chars_for_plot), '...')"/></xsl:when>
									<xsl:otherwise><xsl:value-of select="substring($PlotText, 1, $max_nb_of_chars_for_plot)"/></xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="class">plot</xsl:attribute>
							<xsl:attribute name="eplot">-</xsl:attribute>					
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="count(cast/actor)!=0">
							<xsl:attribute name="etitile">
								<xsl:for-each select="cast/actor[position() &lt;= $actors.max]">
									<xsl:if test="position()!=1">, </xsl:if>
									<xsl:value-of select="." />
								</xsl:for-each>
							</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="etitile">-</xsl:attribute>	
						</xsl:otherwise>
					</xsl:choose>
				</a>
			</xsl:if>
			
			<xsl:if test="//movie/season !=-1 or ( $Multiparts = 'true' and $SpecialPlayList = 'false') ">
			<!-- id class eplot etitile -->
				<xsl:for-each select="files/file">
					<xsl:choose>
						
						<xsl:when test="@firstPart!=@lastPart">
							
							<xsl:variable name="nparsedTitle" select="tokenize(@title,' / ')"/>
						
							<xsl:for-each select="filePlot">
							
								<xsl:variable name="nEpisoPos" select="@part"/>
								<xsl:variable name="nPos" select="position()+0"/>
									
								<a>
									
									<!-- id -->
									<xsl:attribute name="id">title<xsl:value-of select="@part"/></xsl:attribute>
									 <xsl:choose> 
										<xsl:when test=". != 'UNKNOWN'"> 
											<!-- class -->
											<xsl:attribute name="class"><xsl:if test="string-length(concat(substring(translate(., '&quot;', &quot;'&quot;), 1, $max_nb_of_chars_for_plot), '...')) >= 356">large-</xsl:if>plot</xsl:attribute>
											<!-- eplot -->
											<xsl:attribute name="eplot">
												<xsl:choose>
													<xsl:when test="string-length(concat(substring(translate(., '&quot;', &quot;'&quot;), 1, $max_nb_of_chars_for_plot), '...')) >= $max_nb_of_chars_for_plot"><xsl:value-of select="concat(substring(translate(., '&quot;', &quot;'&quot;), 1, $max_nb_of_chars_for_plot), '...')" /></xsl:when>
													<xsl:otherwise><xsl:value-of select="substring(translate(., '&quot;', &quot;'&quot;), 1, $max_nb_of_chars_for_plot)" /></xsl:otherwise>
												</xsl:choose>
											</xsl:attribute>
										</xsl:when> 
										<xsl:otherwise>
											<xsl:attribute name="class">plot</xsl:attribute>  
											<xsl:attribute name="etitle">-</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose> 

									<!-- etitle -->
									<xsl:choose>
										<xsl:when test="//@title='UNKNOWN'">
											<xsl:attribute name="etitile">
												<!-- <xsl:choose> -->
								<!--					<xsl:when test="@firstPart!=@lastPart">
														<xsl:choose>
															<xsl:when test="/details/movie/season!=-1">Episodes </xsl:when>
															<xsl:otherwise>
																<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[DISC')) = 1">Discs </xsl:if>
																<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[DISK')) = 1">Disks </xsl:if>
																<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[PART')) = 1">Parts </xsl:if>
																<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[CD')) = 1">CDs </xsl:if>
															</xsl:otherwise>
														</xsl:choose>
														<xsl:value-of select="@firstPart" /> - <xsl:value-of select="@lastPart" />
													</xsl:when>-->
													<!--<xsl:otherwise>-->
														<xsl:choose>
															<xsl:when test="/details/movie/season!=-1">Episode </xsl:when>
															<xsl:otherwise>
																<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[DISC')) = 1">Disc </xsl:if>
																<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[DISK')) = 1">Disk </xsl:if>
																<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[PART')) = 1">Part </xsl:if>
																<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[CD')) = 1">CD </xsl:if>
															</xsl:otherwise>											
														</xsl:choose>
													<!--	<xsl:value-of select="@part"/>
													</xsl:otherwise>-->
												<!-- </xsl:choose> -->
												<xsl:value-of select="@part"/>
											</xsl:attribute>	
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="etitile">
												<xsl:value-of select="@part"/>. <xsl:value-of select="$nparsedTitle[$nPos]"/>
											</xsl:attribute>
										</xsl:otherwise>						
									</xsl:choose>
									<!-- here video pic -->
									<xsl:if test="(//movie/season !=-1 or ( $VideoImagesOnlyForSeasons = 'false' and $Multiparts = 'true' and $SpecialPlayList = 'false')) and $VideoImagesEnable = 'true'">
										<xsl:attribute name="eimage">
											<xsl:choose>
												<xsl:when test="//fileImageURL[@part=$nEpisoPos] = 'UNKNOWN' or //fileImageFile[@part=$nEpisoPos] = 'UNKNOWN'">pictures/detail/No_Video_Image.jpg</xsl:when>
												<xsl:otherwise><xsl:value-of select="//fileImageFile[@part=$nEpisoPos]"/></xsl:otherwise>
											</xsl:choose>
										</xsl:attribute>
									</xsl:if>		
									<!-- END etitle -->
								</a>
							</xsl:for-each>
						</xsl:when>
						
						
						
						
						<xsl:otherwise>
							<a>
								<!-- id -->
								<xsl:attribute name="id">title<xsl:value-of	select="@firstPart" /></xsl:attribute>
								<xsl:choose>
									<xsl:when test="filePlot != 'UNKNOWN'">
										<!-- class -->
										<xsl:attribute name="class"><xsl:if test="string-length(concat(substring(translate(filePlot, '&quot;', &quot;'&quot;), 1, $max_nb_of_chars_for_plot), '...')) >= 356">large-</xsl:if>plot</xsl:attribute>
										<!-- eplot -->
										<xsl:attribute name="eplot">
											<xsl:choose>
												<xsl:when test="string-length(concat(substring(translate(filePlot, '&quot;', &quot;'&quot;), 1, $max_nb_of_chars_for_plot), '...')) >= $max_nb_of_chars_for_plot"><xsl:value-of select="concat(substring(translate(filePlot, '&quot;', &quot;'&quot;), 1, $max_nb_of_chars_for_plot), '...')" /></xsl:when>
												<xsl:otherwise><xsl:value-of select="substring(translate(filePlot, '&quot;', &quot;'&quot;), 1, $max_nb_of_chars_for_plot)" /></xsl:otherwise>
											</xsl:choose>
										</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="class">plot</xsl:attribute>
										<xsl:attribute name="etitle">-</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>

								<!-- etitle -->
								<xsl:choose>
									<xsl:when test="@title='UNKNOWN'">
										<xsl:attribute name="etitile">
											<!--<xsl:choose>-->
	<!--											<xsl:when test="@firstPart!=@lastPart">
													<xsl:choose>
														<xsl:when test="/details/movie/season!=-1">Episodes </xsl:when>
														<xsl:otherwise>
															<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[DISC')) = 1">Discs </xsl:if>
															<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[DISK')) = 1">Disks </xsl:if>
															<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[PART')) = 1">Parts </xsl:if>
															<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[CD')) = 1">CDs </xsl:if>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:value-of select="@firstPart" /> - <xsl:value-of select="@lastPart" />
												</xsl:when>-->
												<!--<xsl:otherwise>-->
													<xsl:choose>
														<xsl:when test="/details/movie/season!=-1">Episode </xsl:when>
														<xsl:otherwise>
															<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[DISC')) = 1">Disc </xsl:if>
															<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[DISK')) = 1">Disk </xsl:if>
															<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[PART')) = 1">Part </xsl:if>
															<xsl:if test="(contains(upper-case(/details/movie/baseFilename),'[CD')) = 1">CD </xsl:if>
														</xsl:otherwise>											
													</xsl:choose>
													<xsl:value-of select="@firstPart" />
												<!--</xsl:otherwise>-->
											<!--</xsl:choose>-->
											<xsl:value-of select="@part" />
										</xsl:attribute>	
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="etitile">
											<xsl:value-of select="@firstPart"/>. <xsl:value-of select="@title"/>
										</xsl:attribute>
										<!-- here video pic -->
										<xsl:if test="(//movie/season !=-1 or ( $VideoImagesOnlyForSeasons = 'false' and $Multiparts = 'true' and $SpecialPlayList = 'false')) and $VideoImagesEnable = 'true'">
											<xsl:attribute name="eimage">
												<xsl:choose>
													<xsl:when test="fileImageURL = 'UNKNOWN' or fileImageFile = 'UNKNOWN'">pictures/detail/No_Video_Image.jpg</xsl:when>
													<xsl:otherwise><xsl:value-of select="fileImageFile"/></xsl:otherwise>
												</xsl:choose>
											</xsl:attribute>
										</xsl:if>
									</xsl:otherwise>
								</xsl:choose>
								<!-- END etitle -->
							</a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</xsl:if>
<!-- +++++++++++++++++++++++++++++++++++++++ -->

				<!-- Insert here the new infos -->
				<a id="Line1R">
					<xsl:attribute name="otext">Director</xsl:attribute>
					<xsl:attribute name="oinfo">
						<xsl:choose>
							<xsl:when test="director != 'UNKNOWN'"><xsl:value-of select="director"/></xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="rtext">Released</xsl:attribute>
					<xsl:attribute name="rinfo">
						<xsl:choose>
							<xsl:when test="releaseDate != 'UNKNOWN'"><xsl:value-of select="releaseDate"/></xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</a>

				<a id="Line2R">
					<xsl:attribute name="otext">Company</xsl:attribute>
					<xsl:attribute name="oinfo">
						<xsl:choose>
							<xsl:when test="company != 'UNKNOWN'"><xsl:value-of select="company"/></xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>							
					</xsl:attribute>
					<xsl:attribute name="rtext">Audio</xsl:attribute>
					<xsl:attribute name="rinfo"><xsl:value-of select="$AudioChannelInfo"/></xsl:attribute>
				</a>
											
				<a id="Line3R">
					<xsl:attribute name="otext">Starring</xsl:attribute>
					<xsl:attribute name="oinfo">												
						<xsl:choose>
							<xsl:when test="count(cast/actor)!=0">
								<xsl:for-each select="cast/actor[position() &lt;= $actors.max]">
									<xsl:if test="position()!=1">, </xsl:if>
										<xsl:value-of select="." />
								</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose></xsl:attribute>
					<xsl:attribute name="rtext">Language</xsl:attribute>
					<xsl:attribute name="rinfo">
						<xsl:choose>
							<xsl:when test="language != 'UNKNOWN'"><xsl:value-of select="language"/></xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>							
					</xsl:attribute>
				</a>	

				<a id="Line4R">
					<xsl:attribute name="otext">Plot</xsl:attribute>
					<xsl:attribute name="class1"><xsl:if test="string-length(concat(substring($PlotText, 1, $max_nb_of_chars_for_plot), '...')) >= 356">large-</xsl:if>plot</xsl:attribute>
					<xsl:attribute name="oinfo">
						<xsl:choose>
						<xsl:when test="$PlotText != 'UNKNOWN'">
							<xsl:choose>
								<xsl:when test="string-length($PlotText) >= $max_nb_of_chars_for_plot"><xsl:value-of select="concat(substring($PlotText, 1, $max_nb_of_chars_for_plot), '...')"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="substring($PlotText, 1, $max_nb_of_chars_for_plot)"/></xsl:otherwise>
							</xsl:choose>							
						</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="rtext">Subtitles</xsl:attribute>
					<xsl:attribute name="class2">normal</xsl:attribute>
					<xsl:attribute name="rinfo">
						<xsl:choose>
							<xsl:when test="not(contains(subtitles,'UNDEFINED'))">
								<xsl:choose>
									<xsl:when test="contains(subtitles,'NO') or contains(subtitles,'YES')">
										<xsl:choose>
											<xsl:when test="subtitles = 'NO'">-</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="substring-after(subtitles,'/')"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="subtitles"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</xsl:attribute>
				</a>				

				<a id="Line5R">
					<xsl:attribute name="otext">System</xsl:attribute>
					<xsl:attribute name="oinfo">
						<xsl:choose>
							<xsl:when test="container != 'UNKNOWN'"><xsl:value-of select="container"/></xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>									
					</xsl:attribute>
					
					<xsl:attribute name="rtext">
						<xsl:choose>
							<xsl:when test="ends-with(/details/movie/files/file/fileURL,'VIDEO_TS') or ends-with(/details/movie/files/file/fileURL, '/')">Folder info</xsl:when>
							<xsl:otherwise>File info</xsl:otherwise>
						</xsl:choose>					
					</xsl:attribute>
					
					<xsl:attribute name="rinfo">
						<xsl:choose>
							<xsl:when test="ends-with(/details/movie/files/file/fileURL,'VIDEO_TS') or ends-with(/details/movie/files/file/fileURL, '/')">
								<xsl:choose>
									<xsl:when test="ends-with(/details/movie/files/file/fileURL,'VIDEO_TS')">VIDEO_TS, <xsl:value-of select="fileDate"/></xsl:when>
									<xsl:otherwise>BluRay, <xsl:value-of select="fileDate"/></xsl:otherwise>
								</xsl:choose>		
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="fileSize != 'UNKNOWN' or fileDate != 'UNKNOWN'"><xsl:value-of select="fileSize"/>, <xsl:value-of select="fileDate"/></xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>								
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</a>
				
				<a id="Line6R">
					<xsl:attribute name="otext">Video</xsl:attribute>
					<xsl:attribute name="oinfo">
						<xsl:choose>
							<xsl:when test="videoCodec != 'UNKNOWN' or resolution != 'UNKNOWN'"><xsl:value-of select="videoCodec" />, <xsl:value-of select="resolution" /> ( <xsl:value-of select="aspect"/> ), <xsl:value-of select="fps" />Hz</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>		
					</xsl:attribute>
					<xsl:attribute name="rtext">Lib./ YAMJ</xsl:attribute>
					<xsl:attribute name="rinfo">
						<xsl:choose>
							<xsl:when test="libraryDescription != 'UNKNOWN'"><xsl:value-of select="libraryDescription"/></xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
						<xsl:text> / </xsl:text>
						<xsl:value-of select="mjbVersion"/> (<xsl:value-of select="mjbRevision"/>)</xsl:attribute>
				</a>				
			</td>
        </tr>
        <tr>
			<!-- Top of table backround pic -->
			<td colspan="8" rowspan="1" height="{$table_top_height}">
				<table id="main" border="{$show_border}" cellpadding="0" cellspacing="0" width="{$table_width}" background="pictures/detail/table_top.png" >
					<td height="{$table_top_height}" >
					</td>
				</table>
			</td>
        </tr>
			<tr>
				<td>
					<table id="main" border="{$show_border}" cellpadding="0" cellspacing="0" width="{$table_width}" height="100%" background="pictures/detail/table_middle.png"> <!-- table backround pic -->
						<tr>
							<!-- spacer spalte -->	
							<td colspan="1" rowspan="19" width="400" ></td>
							
								<xsl:if test="$ExtraMenuEnable = 'true'">
									<!-- Extra table -->
									<table border="0" id="extra" valign="top" height="80%">
											<!-- BONUS entries -->
											<xsl:if test="$BonusContentsExsist = 'true'">
												<!-- head line -->
												<tr><td width="20"></td><td class="toptable"><xsl:value-of select="$BonusTitle"/></td></tr>
												<!-- entry line -->
												<xsl:for-each select="extras/extra">
													<xsl:if test="contains(substring-before(@title,'-'),'BONUS') or contains(substring-before(@title,'-'),'Bonus') or contains(substring-before(@title,'-'),'bonus')">
														<tr><td width="20"></td><td >	
														<a class="episodenumbers" onkeyrightset="ExtraButton"><xsl:attribute name="name">bo<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="href"><xsl:value-of select="." /></xsl:attribute>
															<xsl:call-template name="zcd">
																<xsl:with-param name="url" select="."/>
															</xsl:call-template>
															<xsl:if test="//movie/prebuf != '-1'">
																<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
															</xsl:if>
															<xsl:attribute name="vod"/>
															<img src="pictures/detail/bplay_small.png" onfocussrc="pictures/detail/bplay_small_select.png" align="top"></img>&#160;&#160;<xsl:value-of select="substring(substring-after(@title,'-'),1,$max_nb_of_chars_for_extras)"/>
														</a>	
														</td></tr>
													</xsl:if>
												</xsl:for-each>
												<!-- Empty line  -->
												<tr><td width="20" height="10"></td></tr>
											</xsl:if>
											<!-- BONUS entries END -->

											<!-- DELETED entries -->
											<xsl:if test="$DeletedContentsExsist = 'true'">
												<!-- head line -->
												<tr><td width="20"></td><td class="toptable"><xsl:value-of select="$DeletedTitle"/></td></tr>
												<!-- entry line -->
												<xsl:for-each select="extras/extra">
													<xsl:if test="contains(substring-before(@title,'-'),'DELETED') or contains(substring-before(@title,'-'),'Deleted') or contains(substring-before(@title,'-'),'deleted')">
														<tr><td width="20"></td><td >	
														<a class="episodenumbers" onkeyrightset="ExtraButton"><xsl:attribute name="name">de<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="href"><xsl:value-of select="." /></xsl:attribute>
															<xsl:call-template name="zcd">
																<xsl:with-param name="url" select="."/>
															</xsl:call-template>
															<xsl:if test="//movie/prebuf != '-1'">
																<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
															</xsl:if>
															<xsl:attribute name="vod"/>
															<img src="pictures/detail/bplay_small.png" onfocussrc="pictures/detail/bplay_small_select.png" align="top"></img>&#160;&#160;<xsl:value-of select="substring(substring-after(@title,'-'),1,$max_nb_of_chars_for_extras)"/>
														</a>	
														</td></tr>
													</xsl:if>
												</xsl:for-each>
												<!-- Empty line -->
												<tr><td width="20" height="10"></td></tr>												
											</xsl:if>
											<!-- DELETED entries END -->			
											
											<!-- EXTRA entries -->
											<xsl:if test="$ExtraContentsExsist = 'true'">
												<!-- head line -->
												<tr><td width="20"></td><td class="toptable"><xsl:value-of select="$ExtraTitle"/></td></tr>
												<!-- entry line -->
												<xsl:for-each select="extras/extra">
													<xsl:if test="contains(substring-before(@title,'-'),'EXTRA') or contains(substring-before(@title,'-'),'Extra') or contains(substring-before(@title,'-'),'extra')">
														<tr><td width="20"></td><td >	
														<a class="episodenumbers" onkeyrightset="ExtraButton"><xsl:attribute name="name">ex<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="href"><xsl:value-of select="." /></xsl:attribute>
															<xsl:call-template name="zcd">
																<xsl:with-param name="url" select="."/>
															</xsl:call-template>
															<xsl:if test="//movie/prebuf != '-1'">
																<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
															</xsl:if>
															<xsl:attribute name="vod"/>
															<img src="pictures/detail/bplay_small.png" onfocussrc="pictures/detail/bplay_small_select.png" align="top"></img>&#160;&#160;<xsl:value-of select="substring(substring-after(@title,'-'),1,$max_nb_of_chars_for_extras)"/>
														</a>	
														</td></tr>
													</xsl:if>
												</xsl:for-each>
												<!-- Empty line -->
												<tr><td width="20" height="10"></td></tr>												
											</xsl:if>
											<!-- EXTRA entries END -->

											<!-- SPECIAL entries -->
											<xsl:if test="$SpecialContentsExsist = 'true'">
												<!-- head line -->
												<tr><td width="20"></td><td class="toptable"><xsl:value-of select="$SpecialTitle"/></td></tr>
												<!-- entry line -->
												<xsl:for-each select="extras/extra">
													<xsl:if test="contains(substring-before(@title,'-'),'SPECIAL') or contains(substring-before(@title,'-'),'Special') or contains(substring-before(@title,'-'),'special')">
														<tr><td width="20"></td><td >	
														<a class="episodenumbers" onkeyrightset="ExtraButton"><xsl:attribute name="name">sp<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="href"><xsl:value-of select="." /></xsl:attribute>
															<xsl:call-template name="zcd">
																<xsl:with-param name="url" select="."/>
															</xsl:call-template>
															<xsl:if test="//movie/prebuf != '-1'">
																<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
															</xsl:if>
															<xsl:attribute name="vod"/>
															<img src="pictures/detail/bplay_small.png" onfocussrc="pictures/detail/bplay_small_select.png" align="top"></img>&#160;&#160;<xsl:value-of select="substring(substring-after(@title,'-'),1,$max_nb_of_chars_for_extras)"/>
														</a>	
														</td></tr>
													</xsl:if>
												</xsl:for-each>
												<!-- Empty line -->
												<tr><td width="20" height="10"></td></tr>												
											</xsl:if>
											<!-- SPECIAL entries END -->														
	
											
									</table>
								</xsl:if>
								
								
							<!-- spacer spalte -->
							<td colspan="1" rowspan="19" width="10" ></td>
							
							<td width="{$description_format_width}"> </td><!-- front spacer-->
							<td class="toptable" width="{$playtime_width}">
								<!-- playtime -->
								<xsl:value-of select="$RuntimeCalc"/>
							<!--	<xsl:if test="runtime != 'UNKNOWN'">
									<xsl:value-of select="runtime" /> 
								</xsl:if> -->
							</td>
							<!-- gfx spacer -->
							<td class="toptable">
								<img src="pictures/detail/text_seperator.png" width="3" ></img>
							</td>
							<!-- action.. -->
							<td class="toptable" width="320">
								<xsl:choose>
									<xsl:when test="count(genres) != 0">
										<xsl:for-each select="genres/genre[position() &lt;= $genres.max]"><xsl:if test="position()!= 1">,</xsl:if><xsl:value-of select="."/></xsl:for-each>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="generefill"/>
									</xsl:otherwise>
								</xsl:choose>
							
<!--								<xsl:if test="count(genres) != 0">
									<xsl:for-each select="genres/genre[position() &lt;= //preferences/genres.max]">
										<xsl:if test="position()!= 1">, </xsl:if>
										<xsl:value-of select="." />
									</xsl:for-each>
								</xsl:if> -->
							</td>
							<!-- gfx spacer -->
							<td class="toptable">
								<img src="pictures/detail/text_seperator.png" width="3"></img>
							</td>
							<!-- output -->
							<td class="toptable">&#160;
								<xsl:choose>
									<xsl:when test="videoOutput != 'UNKNOWN'">
										<xsl:choose>
											<xsl:when test="contains(videoOutput,'Hz')"><xsl:value-of select="videoOutput"/></xsl:when>
											<xsl:otherwise><xsl:value-of select="videoOutput"/>Hz</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>
							</td>
						</tr>
						
						<tr>
							<!-- GFX H Spacer -->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}" cellpadding="0" cellspacing="0" width="100%" background="pictures/detail/line_horizontal.png">
									<td height="4">
									</td>
								</table>
							</td>
							<!-- END GFX H Spacer -->
						</tr>

						<tr>
							<td width="{$description_format_width}"> </td><!-- front spacer-->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}">
									<td width="{$description_width}" class="description">
									<a class="description" id="r_directed">Director</a>
									</td>
									<td class="normal" width="{$tablecontent_width}">
									<a class="normal" id="r_directedtxt">
										<xsl:choose>
											<xsl:when test="director != 'UNKNOWN'"><xsl:value-of select="director"/></xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>
									</a>
									</td>
								</table>
							</td>
						</tr>
						
						<tr>
							<!-- GFX H Spacer -->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}" cellpadding="0" cellspacing="0" width="100%" background="pictures/detail/line_horizontal.png">
									<td height="4">
									</td>
								</table>
							</td>
							<!-- END GFX H Spacer -->
						</tr>
						
						<tr>
							<td width="{$description_format_width}"> </td><!-- front spacer-->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}">
									<td width="{$description_width}" class="description">
									<a class="description" id="r_company">Company</a>
									</td>
									<td class="normal" width="{$tablecontent_width}">
										<a class="normal" id="r_companytxt">
										<xsl:choose>
											<xsl:when test="company != 'UNKNOWN'"><xsl:value-of select="company"/></xsl:when>
											<xsl:otherwise>-</xsl:otherwise>	
										</xsl:choose>
										</a>
									</td>
								</table>
							</td>
						</tr>
						<tr>
							<!-- GFX H Spacer -->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}" cellpadding="0" cellspacing="0" width="100%" background="pictures/detail/line_horizontal.png">
									<td height="4">
									</td>
								</table>
							</td>
							<!-- END GFX H Spacer -->
						</tr>
						<tr>
							<td width="{$description_format_width}"> </td><!-- front spacer-->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}">
									<td width="{$description_width}" class="description"> <!-- &#160; Starring -->
										<!-- <xsl:choose>  -->
											<!-- <xsl:when test="//movie/season !=-1 or ( $Multiparts = 'true' and $SpecialPlayList = 'false') "> -->
												<!-- Episodes -->
												<a class="description" id="r_episode">Starring</a>
											<!--</xsl:when> -->
											<!-- Movie -->
											<!-- <xsl:otherwise>Starring</xsl:otherwise> -->
										<!-- </xsl:choose> -->
									</td>
									<td class="normal" width="{$tablecontent_width}">
										<!-- <xsl:choose>  -->
											<!--<xsl:when test="//movie/season !=-1 or ( $Multiparts = 'true' and $SpecialPlayList = 'false')"> -->
												<!-- Episodes -->
												<a class="normal" id="title">
													<xsl:choose>
														<xsl:when test="count(cast/actor)!=0">
															<xsl:for-each select="cast/actor[position() &lt;= $actors.max]">
																<xsl:if test="position()!=1">, </xsl:if>
																	<xsl:value-of select="." />
															</xsl:for-each>
														</xsl:when>
														<xsl:otherwise>-</xsl:otherwise>
													</xsl:choose>
												</a>
										<!--	</xsl:when> -->
										<!--	<xsl:otherwise> -->
												<!-- Movie -->
									<!--			<xsl:choose>
													<xsl:when test="count(cast/actor)!=0">
														<xsl:for-each select="cast/actor[position() &lt;= $actors.max]">
															<xsl:if test="position()!=1">, </xsl:if>
																<xsl:value-of select="." />
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>&#160;</xsl:otherwise>
												</xsl:choose>
											</xsl:otherwise>
										</xsl:choose> -->
											
										
										<!--
										
										-->
									</td>
								</table>
							</td>
						</tr>
						<tr>
							<!-- GFX H Spacer -->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}" cellpadding="0" cellspacing="0" width="100%" background="pictures/detail/line_horizontal.png">
									<td height="4">
									</td>
								</table>
							</td>
							<!-- END GFX H Spacer -->
						</tr>
						<tr>
							<td width="{$description_format_width}"> </td><!-- front spacer-->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}">
									<td width="{$description_width}" class="description" valign="top" align="top">
									<a class="description" valign="top" align="top" id="r_plottitle">Plot</a>
									</td>
									<td class="normal" width="{$tablecontent_width}">
										<!-- Plot -->
										<a id="r_plot">
											<xsl:attribute name="class"><xsl:if test="string-length(concat(substring($PlotText, 1, $max_nb_of_chars_for_plot), '...')) >= 356">large-</xsl:if>plot</xsl:attribute>
											<xsl:choose>
												<xsl:when test="$PlotText != 'UNKNOWN'">
														<!-- <xsl:if test="//movie/season !=-1 or ( $Multiparts = 'true' and $SpecialPlayList = 'false')">  --> <!-- CD/DISK/DISC/PART -->
															<!-- Episodes -->
														<!--	<xsl:attribute name="id">r_plot</xsl:attribute> -->
														<!-- </xsl:if> -->
														<!-- Movie -->

														<xsl:choose>
															<xsl:when test="string-length($PlotText) >= $max_nb_of_chars_for_plot"><xsl:value-of select="concat(substring($PlotText, 1, $max_nb_of_chars_for_plot), '...')"/></xsl:when>
															<xsl:otherwise><xsl:value-of select="substring($PlotText, 1, $max_nb_of_chars_for_plot)"/></xsl:otherwise>
														</xsl:choose>								
												</xsl:when>
												<xsl:otherwise>-</xsl:otherwise>
											</xsl:choose>
										</a>
									</td>
									<td width="10">
									</td>
								</table>
							</td>
							
						</tr>
						<tr>
							<!-- GFX H Spacer -->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}" cellpadding="0" cellspacing="0" width="100%" background="pictures/detail/line_horizontal.png">
									<td height="4">
									</td>
								</table>
							</td>
							<!-- END GFX H Spacer -->
						</tr>
						<tr>
							<td width="{$description_format_width}"> </td><!-- front spacer-->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}">
									<td width="{$description_width}" class="description">
									<a class="description" id="r_system">System</a>
									</td>
									<td class="normal" width="{$tablecontent_width}">
									<xsl:choose>
										<xsl:when test="container != 'UNKNOWN'"><a class="normal" id="r_systemtxt"><xsl:value-of select="container"/></a></xsl:when>
										<xsl:otherwise><a class="normal" id="r_systemtxt">-</a></xsl:otherwise>
									</xsl:choose>
									</td>
								</table>
							</td>
						</tr>
						<tr>
							<!-- GFX H Spacer -->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}" cellpadding="0" cellspacing="0" width="100%" background="pictures/detail/line_horizontal.png">
									<td height="4">
									</td>
								</table>
							</td>
							<!-- END GFX H Spacer -->
						</tr>
						<tr>
							<td width="{$description_format_width}"> </td><!-- front spacer-->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}">
									<td width="{$description_width}" class="description">
									<a class="description" id="r_video">Video</a>
									</td>
									<td class="normal" width="{$tablecontent_width}">
									<xsl:choose>
										<xsl:when test="videoCodec != 'UNKNOWN' or resolution != 'UNKNOWN'"><a class="normal" id="r_videotxt"><xsl:value-of select="videoCodec" />, <xsl:value-of select="resolution" /> ( <xsl:value-of select="aspect"/> ), <xsl:value-of select="fps" />Hz</a></xsl:when>
										<xsl:otherwise><a class="normal" id="r_videotxt">-</a></xsl:otherwise>
									</xsl:choose>
									</td>
								</table>
							</td>
						</tr>
						<tr>
							<!-- GFX H Spacer -->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}" cellpadding="0" cellspacing="0" width="100%" background="pictures/detail/line_horizontal.png">
									<td height="4">
									</td>
								</table>
							</td>
							<!-- END GFX H Spacer -->
						</tr>
						<tr>
							<td width="{$description_format_width}"> </td><!-- front spacer-->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}">
									<td width="{$description_width}" class="description">
										<!-- Audio -->
										
									</td>
									<td class="description">
										<!-- Audio infos -->
										
										<!-- END  -->
									</td>
								</table>
							</td>
						</tr>
						<tr>
							<!-- Spacer -->
							<!-- GFX H Spacer -->
							<td colspan="6" rowspan="1">
							<!--	<table border="{$show_border}" cellpadding="0" cellspacing="0" width="100%" background="pictures/detail/line_horizontal.png">
									<td height="4">
									</td>
								</table> -->
							</td>
							<!-- END GFX H Spacer -->							
							
						</tr>
						<tr>
							<!-- Play and Extra buttons -->
							<td width="{$description_format_width}"></td>
							<td colspan="6" rowspan="1">
								<table border="{$show_border}">
									<td width="{$description_format_width}" align="center">
									<!-- EXTRABUTTON -->							
									<xsl:if test="$ExtraMenuEnable = 'true'">
										<a href="#" name="ExtraButton" onclick="extra_menu_on_off()" onkeyupset="#" onkeyleftset="#">
											<xsl:attribute name="extrafirstjmp">
												<xsl:choose>
													<xsl:when test="$BonusContentsExsist = 'true'">bo1</xsl:when>
													<xsl:otherwise>
														<xsl:choose>
															<xsl:when test="$DeletedContentsExsist = 'true'">de1</xsl:when>
															<xsl:otherwise>
																<xsl:choose>
																	<xsl:when test="$ExtraContentsExsist = 'true'">ex1</xsl:when>
																	<xsl:otherwise>
																		<xsl:choose>
																			<xsl:when test="$SpecialContentsExsist = 'true'">sp1</xsl:when>
																			<xsl:otherwise>
																			</xsl:otherwise>
																		</xsl:choose>
																	</xsl:otherwise>
																</xsl:choose>
															</xsl:otherwise>
														</xsl:choose>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:attribute>
											<xsl:attribute name="id">extbtn</xsl:attribute>
											<xsl:if test="//movie/season !=-1 or ( $Multiparts = 'true' and $SpecialPlayList = 'false')">
												<xsl:attribute name="onkeydownset">e1</xsl:attribute>
											</xsl:if>
											<img src="pictures/detail/bextra.png" onfocussrc="pictures/detail/bextra_select.png"/>
										</a>
									</xsl:if>
									<!-- EXTRABUTTON END -->
									</td>
									<td width="30" ></td>
									<td>
									<xsl:choose>
										<xsl:when test="$NoPlayButton = 'false'">
											<!-- Play / Play all -->
											<xsl:choose> 
												<!-- Single file -->
												<xsl:when test="count(files/file) = 1 or $NoPlayAllButton = 'true'">

														<xsl:variable name="ext" select="lower-case(substring(//movie/files/file/fileURL, string-length(//movie/files/file/fileURL)-3, 4))" />
														<a class="link">
															<xsl:choose>
																<xsl:when test="   //movie/container = 'ISO' or  $ext = '.iso'
																				or //movie/container = 'IMG' or  $ext = '.img'
																				or substring(//movie/files/file/fileURL,string-length(//movie/files/file/fileURL)-7,8) = 'VIDEO_TS'
																				or substring(//movie/files/file/fileURL,string-length(//movie/files/file/fileURL),1) = '/'
																				or $UsePlaylists = 'false'">
																	<xsl:attribute name="href"><xsl:value-of select="//movie/files/file/fileURL"/></xsl:attribute>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:attribute name="href"><xsl:value-of select="concat(/details/movie/baseFilename,'.playlist.jsp')"/></xsl:attribute>

																</xsl:otherwise>
															</xsl:choose>
															<xsl:attribute name="TVID">Play</xsl:attribute>
															<xsl:attribute name="name">1</xsl:attribute>
															<xsl:if test="//movie/season !=-1 or ( $Multiparts = 'true' and $SpecialPlayList = 'false')">
																<xsl:attribute name="onkeydownset">e1</xsl:attribute>
															</xsl:if>
															<xsl:choose>
																<xsl:when test="   //movie/container = 'ISO' or  $ext = '.iso'
																				or //movie/container = 'IMG' or  $ext = '.img'
																				or substring(//movie/files/file/fileURL,string-length(//movie/files/file/fileURL)-7,8) = 'VIDEO_TS'
																				or substring(//movie/files/file/fileURL,string-length(//movie/files/file/fileURL),1) = '/'
																				or $UsePlaylists = 'false'">
																	<xsl:call-template name="zcd">
																		<xsl:with-param name="url" select="//movie/files/file/fileURL"/>
																		<xsl:with-param name="container" select="//movie/container"/>
																	</xsl:call-template>
																	<xsl:attribute name="vod"/>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:attribute name="vod">playlist</xsl:attribute>
																</xsl:otherwise>
															</xsl:choose>
															<xsl:if test="//movie/prebuf != '-1'">
																<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
															</xsl:if>
															<!-- <xsl:if test="//movie/season =-1"> -->
																<img src="pictures/detail/bplay.png" onfocussrc="pictures/detail/bplay_select.png"/>
															<!-- </xsl:if> -->
														</a>
													<!--</xsl:for-each>-->
												</xsl:when>
												
												<!-- BDAV (for test of ) -->
												
	<!--												<xsl:when test="//movie/container = 'BDAV' and //movie/season = -1">   <!{1}** BDAV Season possible **{1}> 
														<a class="link">
															<xsl:attribute name="href">
																<xsl:value-of select="concat(/details/movie/baseFilename,'.playlist.jsp')" />
															</xsl:attribute>
															<xsl:attribute name="TVID">Play</xsl:attribute>
															<xsl:attribute name="name">1</xsl:attribute>
															<xsl:attribute name="vod">playlist</xsl:attribute>
															<img src="pictures/detail/bplay.png" onfocussrc="pictures/detail/bplay_select.png"/>
														</a>
													</xsl:when>-->
													<!-- END BDAV -->
													
													<xsl:otherwise>
														<!-- Multi files -->
														<xsl:if test="$NoPlayAllButton = 'false'">
															<!-- Play all ? -->
															<a class="link" tvid="Play">
																<xsl:attribute name="onfocus">hide(<xsl:value-of select="@firstPart"/>);</xsl:attribute>
																<xsl:attribute name="onmouseover">hide(<xsl:value-of select="@firstPart"/>);</xsl:attribute>
																<xsl:attribute name="name">1</xsl:attribute>
																<xsl:if test="//movie/season !=-1 or ( $Multiparts = 'true' and $SpecialPlayList = 'false')">
																	<xsl:attribute name="onkeydownset">e1</xsl:attribute>
																</xsl:if>
																<xsl:choose>
																	<xsl:when test="$SpecialPlayList = 'true' and $MoreThanOneFile = 'true'"><xsl:attribute name="href"><xsl:value-of select="concat(/details/movie/baseFilename,'.playlist2.jsp')" /></xsl:attribute></xsl:when>
																	<xsl:otherwise><xsl:attribute name="href"><xsl:value-of select="concat(/details/movie/baseFilename,'.playlist.jsp')" /></xsl:attribute></xsl:otherwise>
																</xsl:choose>
																<xsl:attribute name="vod">playlist</xsl:attribute>
																<xsl:if test="//movie/prebuf != '-1'">
																   <xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
																</xsl:if>
																<xsl:choose>
																	<xsl:when test="$SpecialPlayList = 'false'"><img src="pictures/detail/bplay_all.png" onfocussrc="pictures/detail/bplay_all_select.png" align="top"/></xsl:when>
																	<xsl:otherwise><img src="pictures/detail/bplay.png" onfocussrc="pictures/detail/bplay_select.png" align="top"/></xsl:otherwise>
																</xsl:choose>
																<!-- <xsl:text>&#160;</xsl:text>PLAY ALL -->
															</a>
															<!-- END Play all ? -->
														</xsl:if>
													</xsl:otherwise>
											</xsl:choose>
										</xsl:when>
										<xsl:otherwise>
											<!-- Dummy play button -->
											<a class="link">
												<xsl:attribute name="onfocus">hide(<xsl:value-of select="@firstPart"/>);</xsl:attribute>
												<xsl:attribute name="onmouseover">hide(<xsl:value-of select="@firstPart"/>);</xsl:attribute>
												<xsl:attribute name="name">1</xsl:attribute>
												<xsl:attribute name="href">#</xsl:attribute>
												<xsl:attribute name="onkeydownset">e1</xsl:attribute>
												<img src="pictures/detail/bplay_dummy.png" onfocussrc="pictures/detail/bplay_dummy_select.png" align="top"/>
											</a>
										</xsl:otherwise>
									</xsl:choose>
										<!-- END Play / Play all -->
								<!--	</td> 
									<td> -->
										<!-- Trailer -->
											<xsl:if test="$TrailerContentsExsist = 'true'"> 
															
											<!--	<xsl:for-each select="cast/actor[position() &lt;= //preferences/actors.max]">
													<xsl:for-each select="trailers/trailer">  
													<xsl:variable name="trai" select="count(//movie/trailers/trailer)"/>
															<td width="{$trai}"  ></td> -->
															
												   <xsl:for-each select="extras/extra[position() &lt;= $StartTrailerPosition + 1]">
														<xsl:if test="contains(@title,'TRAILER') or contains(@title,'Trailer') or contains(@title,'trailer')"> 
															<a>
																<xsl:attribute name="href"><xsl:value-of select="." /></xsl:attribute>
																<xsl:call-template name="zcd">
																	<xsl:with-param name="url" select="."/>
																</xsl:call-template>
																<xsl:if test="//movie/prebuf != '-1'">
																	<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
																</xsl:if>
																<xsl:attribute name="vod"/>
																<xsl:choose> 
																	<xsl:when test="$EndTrailerPosition &gt; 0">
																		<xsl:if test="position() = $StartTrailerPosition">
																			<img src="pictures/detail/btrailer1.png" onfocussrc="pictures/detail/btrailer1_select.png" align="top"/>
																		</xsl:if>
																		<xsl:if test="position() = $StartTrailerPosition + 1">
																			<img src="pictures/detail/btrailer2.png" onfocussrc="pictures/detail/btrailer2_select.png" align="top"/>
																		</xsl:if>
																	</xsl:when>
																	<xsl:otherwise>
																		<img src="pictures/detail/btrailer.png" onfocussrc="pictures/detail/btrailer_select.png" align="top"/>
																	</xsl:otherwise>
																</xsl:choose> 
															</a>
														</xsl:if> 
												   </xsl:for-each>
												 
											</xsl:if>
										<!-- END Trailer -->
								<!--	</td>
									<td> -->
									<!-- The more button -->
									<xsl:if test="$MoreButtonActive = 'true'">
										<a href="#" onfocus="showmore();" onblur="hidemore();" onkeyrightset="navhome"><img src="pictures/detail/bmore.png" onfocussrc="pictures/detail/bmore_select.png" align="top" onmouseover="showmore();" onmouseout="hidemore();"/></a>
									</xsl:if>
									</td>
								</table>
							</td>
						</tr>
						<tr>
							<!-- Spacer -->
							<td colspan="6" rowspan="1"></td>
						</tr>
						<tr>
							<td width="{$description_format_width}"></td>
							<!-- Episodes count -->
							<td colspan="6" rowspan="1">
								<table border="{$show_border}">	
									<td width="{$episodetable_width}">
										<!-- Episodes count -->
<!-- Probleme -->		<!--							
										<xsl:if test="//movie/season != -1">
											<xsl:for-each select="files/file"> 
												<img src="pictures/play_small.png" onfocussrc="pictures/play_selected_small.png" align="top"/>
												<xsl:choose>
													<xsl:when test="@title='UNKNOWN'">
														<xsl:choose>
															<xsl:when test="@firstPart!=@lastPart">
																Episodes <xsl:value-of select="@firstPart"/> - <xsl:value-of select="@lastPart"/>
															</xsl:when>	 
															<xsl:otherwise>
																Episode <xsl:value-of select="@firstPart"/>
															</xsl:otherwise>	 
														</xsl:choose>
													</xsl:when>	 
													<xsl:otherwise><xsl:value-of select="@title"/></xsl:otherwise>
												</xsl:choose>						   
											</xsl:for-each>
										</xsl:if>
									-->
										
										<xsl:if test="//movie/season !=-1 or ( $Multiparts = 'true' and $SpecialPlayList = 'false')">  <!-- BDAV Season possible //movie/container != 'BDAV' or  -->

												<xsl:variable name="episodeSortOrder" select="if ($skin-reverseEpisodeOrder = 'true' and //movie/season != -1) then 'descending' else 'ascending'"/>
											
												<xsl:for-each select="files/file">
													
													<xsl:sort select="@firstPart" data-type="number" order="{$episodeSortOrder}"/>
													<xsl:variable name="posfileURL" select="fileURL"/>
											
													<!-- New -->
													<xsl:choose>
														
														<xsl:when test="@firstPart!=@lastPart">
															
															
																<xsl:for-each select="filePlot">
																
																	<xsl:sort select="@part" data-type="number" order="{$episodeSortOrder}"/>
																	<xsl:variable name="nEpisoPos2" select="@part"/>

																	<a>  
																		<xsl:attribute name="href"><xsl:value-of select="$posfileURL"/></xsl:attribute>
																		<!-- <xsl:attribute name="TVID"><xsl:value-of select="@firstPart"/></xsl:attribute> -->
																		<xsl:attribute name="name">e<xsl:value-of select="$nEpisoPos2"/></xsl:attribute>
																		<xsl:attribute name="onkeyleftset">e<xsl:value-of select="($nEpisoPos2)-1"/></xsl:attribute>
																		<xsl:attribute name="onkeyrightset">e<xsl:value-of select="($nEpisoPos2)+1"/></xsl:attribute>
																		<xsl:attribute name="onfocus">show(<xsl:value-of select="$nEpisoPos2"/>)</xsl:attribute>
																		<xsl:attribute name="onblur">hide(<xsl:value-of select="$nEpisoPos2"/>);</xsl:attribute>

																		<xsl:call-template name="zcd">
																			<xsl:with-param name="url" select="$posfileURL"/>
																			<xsl:with-param name="container" select="//movie/container"/>
																		</xsl:call-template>

																		<xsl:attribute name="vod"/>               

																		<xsl:if test="//movie/prebuf != '-1'">
																			<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
																		</xsl:if>

																		<img src="pictures/detail/bplay_small.png"
																			onfocussrc="pictures/detail/bplay_small_select.png" align="top">
																			<xsl:attribute name="onmouseover">show(<xsl:value-of select="$nEpisoPos2"/>);</xsl:attribute>
																			<xsl:attribute name="onmouseout">hide(<xsl:value-of select="$nEpisoPos2"/>);</xsl:attribute>
																		</img>
											
																	</a>
																	<a> 
																		<xsl:attribute name="id">ep_num<xsl:value-of select="$nEpisoPos2"/></xsl:attribute>
																		<xsl:attribute name="class">episodenumbers</xsl:attribute>
																		<xsl:if test="($nEpisoPos2) &lt;= 9">
																			<xsl:text>&#160;&#160;</xsl:text> <!-- &#160;&#160; -->
																		</xsl:if>
																		<!-- <xsl:text>&#160;&#160;</xsl:text> --><!-- &#160;&#160; -->
																		<xsl:value-of select="$nEpisoPos2"/>
																		<!-- <xsl:text>&#160;</xsl:text>   <xsl:value-of select="codepoints-to-string(38)"/>-->
																	</a>
																	<xsl:choose>
																		<xsl:when test="(($nEpisoPos2) mod 10) = 0"><xsl:text disable-output-escaping="yes"><![CDATA[&#160;&#160;]]></xsl:text></xsl:when>
																		<xsl:otherwise><xsl:text disable-output-escaping="yes"><![CDATA[&#160;&#160;&#160;&#160;]]></xsl:text></xsl:otherwise>
																	</xsl:choose>
																</xsl:for-each>
															
														</xsl:when>
													
														<xsl:otherwise>

																<a>  
																	<xsl:attribute name="href"><xsl:value-of select="fileURL" /></xsl:attribute>
																	<!-- <xsl:attribute name="TVID"><xsl:value-of select="@firstPart"/></xsl:attribute> -->
																	<xsl:attribute name="name">e<xsl:value-of select="position()"/></xsl:attribute>
																	<xsl:attribute name="onkeyleftset">e<xsl:value-of select="position()-1"/></xsl:attribute>
																	<xsl:attribute name="onkeyrightset">e<xsl:value-of select="position()+1"/></xsl:attribute>
																	<xsl:attribute name="onfocus">show(<xsl:value-of select="@firstPart"/>)</xsl:attribute>
																	<xsl:attribute name="onblur">hide(<xsl:value-of select="@firstPart"/>);</xsl:attribute>

																	<xsl:call-template name="zcd">
																		<xsl:with-param name="url" select="fileURL"/>
																		<xsl:with-param name="container" select="//movie/container"/>
																	</xsl:call-template>

																	<xsl:attribute name="vod"/>               

																	<xsl:if test="//movie/prebuf != '-1'">
																		<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
																	</xsl:if>

																	<img src="pictures/detail/bplay_small.png"
																		onfocussrc="pictures/detail/bplay_small_select.png" align="top">
																		<xsl:attribute name="onmouseover">show(<xsl:value-of select="@firstPart"/>);</xsl:attribute>
																		<xsl:attribute name="onmouseout">hide(<xsl:value-of select="@firstPart"/>);</xsl:attribute>
																	</img>
										
																</a>
																<a> 
																	<xsl:attribute name="id">ep_num<xsl:value-of select="@firstPart"/></xsl:attribute>
																	<xsl:attribute name="class">episodenumbers</xsl:attribute>
																	<xsl:if test="position() &lt;= 9">
																		<xsl:text>&#160;&#160;</xsl:text> <!-- &#160;&#160; -->
																	</xsl:if>
																	<!-- <xsl:text>&#160;&#160;</xsl:text> --> <!-- &#160;&#160; -->
																	<xsl:value-of select="@firstPart"/>
																	<!--<xsl:text>&#160;</xsl:text> -->
																</a>
																<xsl:choose>
																	<xsl:when test="(position() mod 10) = 0"><xsl:text disable-output-escaping="yes"><![CDATA[&#160;&#160;]]></xsl:text></xsl:when>
																	<xsl:otherwise><xsl:text disable-output-escaping="yes"><![CDATA[&#160;&#160;&#160;&#160;]]></xsl:text></xsl:otherwise>
																</xsl:choose>															
														</xsl:otherwise>
													</xsl:choose>
												</xsl:for-each>
										</xsl:if>
<!-- END Probleme -->											<!-- END Episodes count -->
									</td>
									<td width="20">
									</td>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		
        <tr>
			<td colspan="8" rowspan="1" height="{$table_bottom_height}"> <!-- bottom table background -->
				<table id="main" border="{$show_border}" cellpadding="0" cellspacing="0" width="{$table_width}" background="pictures/detail/table_bottom.png" >
					<td height="{$table_bottom_height}" >
					</td>
				</table>			
			</td>
        </tr>
        <tr>
			<!-- titel infos -->
			<td colspan="8" rowspan="1">
			
			<!-- Episode list 	  
			<xsl:for-each select="files/file">
				<div class="title">
					<xsl:attribute name="id">title<xsl:value-of	select="@firstPart" /></xsl:attribute>
					<xsl:choose>
						<xsl:when test="@title='UNKNOWN'">
							<xsl:choose>
								<xsl:when test="@firstPart!=@lastPart">
									<xsl:choose>
										<xsl:when test="/details/movie/season!=-1">Episodes </xsl:when>
										<xsl:otherwise>Parts </xsl:otherwise>
									</xsl:choose>
									<xsl:value-of select="@firstPart" /> - <xsl:value-of select="@lastPart" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="/details/movie/season!=-1">Episode </xsl:when>
										<xsl:otherwise>Part </xsl:otherwise>
									</xsl:choose>
									<xsl:value-of select="@firstPart" />
								</xsl:otherwise>
							</xsl:choose>
							<xsl:value-of select="@part" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="@firstPart" />
							<xsl:if test="@firstPart!=@lastPart"> -	<xsl:value-of select="@lastPart" /></xsl:if>. 
							<xsl:value-of select="@title" />
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</xsl:for-each>
			 END Episode list -->
			<!-- Plot list 
			<xsl:if test="//movie/season !=-1 or count(files/file) &gt;= 2">
				<div id="plot0">
					<xsl:choose>
						<xsl:when test="plot != 'UNKNOWN'">
							<xsl:attribute name="class"><xsl:if test="string-length(plot) >= 250">large-</xsl:if>plot</xsl:attribute>
							<xsl:value-of select="plot"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="class">plot</xsl:attribute>
							"None"					
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</xsl:if>
			<xsl:for-each select="files/file">
				<div>
					<xsl:attribute name="id">plot<xsl:value-of	select="@firstPart" /></xsl:attribute>
					<xsl:choose>
						<xsl:when test="filePlot != 'UNKNOWN'">
							<xsl:attribute name="class"><xsl:if test="string-length(concat(substring(translate(filePlot, '&quot;', &quot;'&quot;), 1, 450), '...')) >= 250">large-</xsl:if>plot</xsl:attribute>
							<xsl:value-of select="concat(substring(translate(filePlot, '&quot;', &quot;'&quot;), 1, 450), '...')" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="class">plot</xsl:attribute>
							"None"
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</xsl:for-each>			
			 END Plot list -->
			</td>
        </tr>		
      </tbody>
    </table>
		<div id="vertical_line"> <img src="pictures/detail/line_vertical.png" width="5" height="327"></img></div><!-- 347 -->

		<div id="selection_box_back">
			<xsl:if test="$ShowSmallPreviousNextCovers = 'true'">
				<img src="pictures/detail/selection_back.png" width="275" height="33"></img>
			</xsl:if>
		</div>

		<!-- Pico Box-Poster pre -->
		<div id="selection_box_1_poster">
			<xsl:if test="$ShowSmallPreviousNextCovers = 'true'">
				<img>
					<xsl:choose> <!--  or previous = first -->
						<xsl:when test="previous='UNKNOWN'"><xsl:attribute name="src"><xsl:value-of select="last"/>_large.<xsl:value-of select="$ImageFormat"/></xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="src"><xsl:value-of select="previous"/>_large.<xsl:value-of select="$ImageFormat"/></xsl:attribute></xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="width">72</xsl:attribute>
				</img>
			</xsl:if>
		</div>
		
		<!-- Pico Box-Cover pre -->
		<div id="selection_box_1">
			<xsl:if test="$ShowSmallPreviousNextCovers = 'true'">
				<a name="sbox1">
					<xsl:choose> <!--  or previous = first  -->
						<xsl:when test="previous='UNKNOWN'"><xsl:attribute name="href"><xsl:value-of select="last"/>.html</xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="href"><xsl:value-of select="previous"/>.html</xsl:attribute></xsl:otherwise>
					</xsl:choose>
					
					<img>
						<xsl:attribute name="src">pictures/detail/box/Box.png</xsl:attribute>
						<xsl:attribute name="width">85</xsl:attribute>
						<xsl:attribute name="onfocussrc">pictures/detail/Box_small_selection.png</xsl:attribute>
					</img>
				</a>
			</xsl:if>
		</div>
		<!-- Pico Box-Poster next -->
		<div id="selection_box_2_poster">
			<xsl:if test="$ShowSmallPreviousNextCovers = 'true'">
				<img>
					<xsl:choose> <!--  or next = last -->
						<xsl:when test="next='UNKNOWN'"><xsl:attribute name="src"><xsl:value-of select="first"/>_large.<xsl:value-of select="$ImageFormat"/></xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="src"><xsl:value-of select="next"/>_large.<xsl:value-of select="$ImageFormat"/></xsl:attribute></xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="width">72</xsl:attribute>
					<xsl:attribute name="onfocussrc">pictures/detail/Box_small_selection.png</xsl:attribute>
				</img>
			</xsl:if>
		</div>
		<!-- Pico Box-Cover next -->
		<div id="selection_box_2">
			<xsl:if test="$ShowSmallPreviousNextCovers = 'true'">
				<a name="sbox2">
					<xsl:choose> <!-- or next = last -->
						<xsl:when test="next='UNKNOWN'"><xsl:attribute name="href"><xsl:value-of select="first"/>.html</xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="href"><xsl:value-of select="next"/>.html</xsl:attribute></xsl:otherwise>
					</xsl:choose>
					<img>
						<xsl:attribute name="src">pictures/detail/box/Box.png</xsl:attribute>
						<xsl:attribute name="width">85</xsl:attribute>
						<xsl:attribute name="onfocussrc">pictures/detail/Box_small_selection.png</xsl:attribute>
					</img>
				</a>
			</xsl:if>
		</div>
		<!-- Box-Poster pre -->
		<div id="underlay_poster"> <!-- ShowPreviousCover -->
			<xsl:if test="$ShowPreviousCover = 'true'">
				<img>
					<xsl:choose> <!--  or previous = first -->
						<xsl:when test="previous='UNKNOWN'"><xsl:attribute name="src"><xsl:value-of select="last"/>_large.<xsl:value-of select="$ImageFormat"/></xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="src"><xsl:value-of select="previous"/>_large.<xsl:value-of select="$ImageFormat"/></xsl:attribute></xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="width">266</xsl:attribute> <!-- 322 -->
				</img>
			</xsl:if>
		</div>
		<!-- Box-Cover pre -->
		<div id="underlay_box"> <!-- ShowPreviousCover -->
			<xsl:if test="$ShowPreviousCover = 'true'">
				<img>
					<xsl:attribute name="src">pictures/detail/box/Box.png</xsl:attribute>
					<xsl:attribute name="width">313</xsl:attribute> <!-- 322 -->
				</img>
			</xsl:if>
		</div>
		<!-- Box-Poster Movie -->
		<div id="box_poster">
			<img width="307" > <!-- 378 -->
			<xsl:attribute name="src">
				<xsl:value-of select="detailPosterFile" />	
			</xsl:attribute>
			</img>
		</div>
		<!-- Version Tag -->
		<div id="version_tag">
			<xsl:call-template name="VersionBanner"/>
		</div>
		<!-- Watch Tag -->
		<div id="watch_tag">
			<xsl:call-template name="WatchTagSelection"/>
		</div>				
		<!-- Box-Cover Movie -->
		<div id="box_cover">
			<img width="360" > <!-- 378 -->
			<xsl:attribute name="src">pictures/detail/box/Box.png</xsl:attribute>
			</img>
		</div>
		<!-- Box-Cover HD Tag  img width="24" -->
		<div id="box_hd_tag">
			<xsl:call-template name="HD_TagSelection"/>
		</div>
		
		<div id="video_src"><xsl:call-template name="video-source"/></div>
		<div id="audio_codec"><xsl:call-template name="audio-codec"/></div>
		<div id="certification"><xsl:if test="$CertificationCountry = 'US'"><xsl:call-template name="certification"/></xsl:if><xsl:if test="$CertificationCountry = 'UK'"><xsl:call-template name="certificationUK"/></xsl:if><xsl:if test="$CertificationCountry = 'GER'"><xsl:call-template name="certificationGer"/></xsl:if></div>
		<div id="studio"><xsl:call-template name="studios"><xsl:with-param name="studio_width" select="$studio_width"/></xsl:call-template></div>
		<div id="audiochannels"><img src="pictures/detail/audio/AudioChannels.png"/></div>
		<div id="audiochannelstxt"><a class="title2"><xsl:value-of select="$AudioChannels"/></a></div>
		<div id="subtitle">
			<xsl:choose>
				<xsl:when test="contains(subtitles,'NO') or contains(subtitles,'UNDEFINED')"><img src="pictures/detail/Subtitle_off.png"/></xsl:when>
				<xsl:otherwise><img src="pictures/detail/Subtitle.png"/></xsl:otherwise>
			</xsl:choose>
		</div>
		<xsl:if test="$MoreButtonActive = 'true'">
		<div id="nav_home">
			<a name="navhome">
				<xsl:choose>
					<xsl:when test="$UseHomeButtonFunctionForExternalIndexing = 'true'"><xsl:attribute name="href">../index.htm</xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="href">Other_All_1.html</xsl:attribute></xsl:otherwise>
				</xsl:choose>
				<img src="pictures/detail/home_button_single.png" width="74" height="36" onfocussrc="pictures/detail/home_button_single_selected.png"  onfocus="show_navbar();" onblur="hide_navbar();"/>
			</a>
		</div>
		</xsl:if>
	<xsl:if test="(//movie/season !=-1 or ( $VideoImagesOnlyForSeasons = 'false' and $Multiparts = 'true' and $SpecialPlayList = 'false' )) and $VideoImagesEnable = 'true'">	
		<div id="videopic"><img width="350" height="198" src="pictures/detail/video_back.png"/></div>
		<div id="videopic"><img id="Chimage" width="350" height="198" src="#"/></div>
		<div id="videopicborder"><img width="388" height="234" src="pictures/detail/video_cover.png"/></div>
	</xsl:if>
  </body>
</html>

</xsl:for-each>
</xsl:template>

<xsl:template name="generefill">
	<xsl:param name="count" select="2"/>
	<xsl:if test="$count > 0">
		<xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
		<xsl:call-template name="generefill">
			<xsl:with-param name="count" select="$count - 1"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>

<xsl:template name="zcd">
	<xsl:param name="url"/>
	<xsl:param name="container"/>

	<xsl:if
		test="$container = 'ISO' or ends-with(lower-case($url), '.iso')">
		<xsl:attribute name="zcd">2</xsl:attribute>
	</xsl:if>

	<xsl:if
		test="$container = 'IMG' or ends-with(lower-case($url), '.img')">
		<xsl:attribute name="zcd">2</xsl:attribute>
	</xsl:if>

	<xsl:if test="$container = 'DVD Video' or ends-with($url, 'VIDEO_TS')">
		<xsl:attribute name="zcd">2</xsl:attribute>
	</xsl:if>
	
	<!-- For BluRay playback on the C-200 -->
	<xsl:if test="ends-with($url, '/')">
		<xsl:attribute name="zcd">2</xsl:attribute>
	</xsl:if>
  
</xsl:template>


<xsl:template name="Bar1WithCalc">
	<xsl:param name="bar2width"/>
	<xsl:param name="bar1_font_size"/>
	<xsl:param name="bar1_height"/>
	<xsl:param name="bar1_mts_image_width"/>
	<xsl:param name="bar1_correction_factor"/>
	<xsl:param name="max_nb_of_chars_for_title"/>
	<xsl:param name="max_nb_of_chars_for_title_season"/>
	<xsl:param name="bar1_right_width"/>
	<xsl:param name="title_bars_threshold"/>
	
	<xsl:choose>
		<xsl:when test="//movie/season = -1">
			<!-- Only Movie -->
			<xsl:variable name="sTitle"><xsl:value-of select="substring(title, 1, $max_nb_of_chars_for_title)"/></xsl:variable>
			<xsl:variable name="cTitleWidth" select="(string-length($sTitle) * $bar1_font_size) + $bar1_mts_image_width + $bar1_right_width"/> <!-- width of image (movie trailer... -->
			<!-- cTitleWidth=<xsl:value-of select="$cTitleWidth"/>
			bar2width=<xsl:value-of select="$bar2width"/> -->
			<xsl:choose>
				<xsl:when test="($cTitleWidth ) &lt;= $bar2width"> <!-- + $bar1_mts_image_width -->
				
					<xsl:variable name="fTitleWidth" select="$cTitleWidth + ($bar2width - $cTitleWidth - $bar1_right_width - $bar1_mts_image_width) + $bar1_correction_factor"/>
					<!-- fTitleWidth=<xsl:value-of select="$fTitleWidth"/> -->
					
					<!-- Insert in table -->
					<td class="title1" height="{$bar1_height}" width="{$fTitleWidth}" align="center">
						<!-- Title of film -->
						<xsl:value-of select="substring(title, 1, $max_nb_of_chars_for_title)"/>
						<!-- Test -->
						<!-- <td width="{$bar2width}" height="{$cTitleWidth}" align="{$fTitleWidth}" ></td> -->
					</td>
					<!-- END Insert in table -->	
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="fTitleWidth">
					<xsl:choose>
						<xsl:when test="($cTitleWidth - $bar2width) &gt;= $title_bars_threshold">100%</xsl:when>	
						<xsl:otherwise>
							<xsl:value-of select="$cTitleWidth + ($bar2width - $cTitleWidth - $bar1_right_width - $bar1_mts_image_width) + $bar1_correction_factor"/>
						</xsl:otherwise>
					</xsl:choose>
					</xsl:variable>
					
					<!-- Insert in table -->

					<td class="title1" height="{$bar1_height}" width="{$fTitleWidth}" align="center"> <!-- width="{$cTitleWidth}"-->
						<!-- Title of film -->
						<xsl:value-of select="substring(title, 1, $max_nb_of_chars_for_title)"/>
					</td>
					<!-- END Insert in table -->	
				</xsl:otherwise>
			</xsl:choose>	
		</xsl:when>
		<xsl:otherwise>
			<!-- Season -->
			<xsl:variable name="nSeasonNumber"><xsl:value-of select="season"/></xsl:variable>
			<xsl:variable name="nbTitle"><xsl:value-of select="substring(title, 1, $max_nb_of_chars_for_title_season)"/></xsl:variable>
			<xsl:variable name="sTitle" select="(string-join(($nbTitle,'Season',$nSeasonNumber),' '))" />
			<xsl:variable name="cTitleWidth" select="(string-length($sTitle) * $bar1_font_size) + $bar1_mts_image_width + $bar1_right_width"/>
			<!-- cseasonTitleWidth=<xsl:value-of select="$cTitleWidth"/> 
			bar2width=<xsl:value-of select="$bar2width"/> -->
			<xsl:choose>
				<xsl:when test="($cTitleWidth ) &lt;= $bar2width"> <!-- + $bar1_mts_image_width-->
					<xsl:variable name="fTitleWidth" select="$cTitleWidth + ($bar2width - $cTitleWidth - $bar1_right_width - $bar1_mts_image_width) + $bar1_correction_factor"/>
					<!-- fTitleWidthseason1=<xsl:value-of select="$fTitleWidth"/> -->
					
					<!-- Insert in table -->
					<td class="title1" height="{$bar1_height}" width="{$fTitleWidth}" align="center">
						<!-- Title of film -->
						<xsl:value-of select="substring(title, 1, $max_nb_of_chars_for_title_season)"/> Season <xsl:value-of select="season" />										  
					</td>
					<!-- END Insert in table -->	
				</xsl:when>
				<xsl:otherwise>
					<!-- Insert in table -->
					<!-- <xsl:variable name="fTitleWidth" select="$cTitleWidth + ($bar1_right_width - $bar1_mts_image_width) + $bar1_correction_factor"/> -->
					<xsl:variable name="fTitleWidth">
					<xsl:choose>
						<xsl:when test="($cTitleWidth - $bar2width) &gt;= $title_bars_threshold">100%</xsl:when>	
						<xsl:otherwise>
							<xsl:value-of select="$cTitleWidth + ($bar2width - $cTitleWidth - $bar1_right_width - $bar1_mts_image_width) + $bar1_correction_factor"/>
						</xsl:otherwise>
					</xsl:choose>
					</xsl:variable>					
					<!-- <xsl:variable name="fTitleWidth" select="$cTitleWidth + ($bar2width - $cTitleWidth - $bar1_right_width - $bar1_mts_image_width) + $bar1_correction_factor"/> -->
					
					<!-- fTitleWidthseason2=<xsl:value-of select="$fTitleWidth"/> -->
					<td class="title1" height="{$bar1_height}" width="{$fTitleWidth}" align="center">
						<!-- Title of film -->
						<xsl:value-of select="substring(title, 1, $max_nb_of_chars_for_title_season)"/> Season <xsl:value-of select="season" />
					</td>
					<!-- END Insert in table -->
				</xsl:otherwise>
			</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="video-source">
	<xsl:choose>
		<!-- SD -->
		<xsl:when test="contains(videoSource,'SDTV')">
			<img src="pictures/detail/videosrc/SD.png"/>
		</xsl:when>				
		<xsl:otherwise>
			<xsl:choose>
				<!--  SATRIP -->		
				<xsl:when test="contains(videoSource,'SATRip') or contains(lower-case(/details/movie/files/file/fileURL),'satrip')">
					<img src="pictures/detail/videosrc/SDTV.png"/>
				</xsl:when>								
				<xsl:otherwise>
					<xsl:choose>
						<!-- HDDVD -->
						<xsl:when test="contains(videoSource,'HDDVD') or contains(lower-case(/details/movie/files/file/fileURL),'hddvd')">
							<img src="pictures/detail/videosrc/HDDVD.png"/>
						</xsl:when>			
						<xsl:otherwise>
							<xsl:choose>
							<!--  DVD -->
							<xsl:when test="contains(container,'DVD Video') or contains(videoSource,'DVD') or contains(videoSource,'DVDSCR') or contains(videoSource,'DVD5') or contains(videoSource,'DVD9') or contains(lower-case(/details/movie/files/file/fileURL),'dvdr')">
								<img src="pictures/detail/videosrc/DVD.png"/>
							</xsl:when>		
								<xsl:otherwise>
									<xsl:choose>
										<!-- Bluray -->
										<xsl:when test="contains(videoSource,'BluRay') or contains(lower-case(/details/movie/files/file/fileURL),'m2ts') or contains(lower-case(/details/movie/files/file/fileURL),'bluray')">
											<img src="pictures/detail/videosrc/Blu-Ray.png"/>
										</xsl:when>										
										<xsl:otherwise>
											<xsl:choose>
												<xsl:when test="contains(videoSource,'DVDRip') or contains(lower-case(/details/movie/files/file/fileURL),'dvdrip')">
													<img src="pictures/detail/videosrc/DVD.png"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:choose>
														<xsl:when test="contains(videoSource,'CAM') or contains(/details/movie/files/file/fileURL,'CAM')">
															<img src="pictures/detail/videosrc/thumb-CAM.png"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:choose>
																<xsl:when test="contains(videoSource,'HDTV') or contains(lower-case(/details/movie/files/file/fileURL),'hdtv')">
																	<img src="pictures/detail/videosrc/HD-TV.png"/>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:choose>
																		<xsl:when test="contains(videoOutput,'720p') or contains(lower-case(/details/movie/files/file/fileURL),'720p') or contains(videoOutput,'1080i') or contains(lower-case(/details/movie/files/file/fileURL),'1080i') or contains(videoOutput,'1080p') or contains(lower-case(/details/movie/files/file/fileURL),'1080p')">
																			<img src="pictures/detail/videosrc/HD.png"/>
																		</xsl:when>
																		<!-- Unknown  /details/movie/videoOutput -->
																		<xsl:otherwise>
																			<xsl:choose>
																				<xsl:when test="contains(videoSource,'TS') and not(contains(lower-case(videoSource),'video_ts')) or contains(/details/movie/files/file/fileURL,'.TS.') and not(contains(lower-case(/details/movie/files/file/fileURL),'video_ts'))">
																					<img src="pictures/detail/videosrc/Telecine.png"/>
																				</xsl:when>
																				<xsl:otherwise>
																					<xsl:choose>
																						<!-- SD2 -->
																						<xsl:when test="contains(videoOutput,'NTSC') or contains(videoOutput,'PAL') ">
																							<img src="pictures/detail/videosrc/SD.png"/>
																						</xsl:when>	
																						<xsl:otherwise>																						
																						<!-- <xsl:when test="contains(videoSource,'UNKNOWN')"></xsl:when>  -->
																						</xsl:otherwise>
																					</xsl:choose>
																				</xsl:otherwise>
																			</xsl:choose>
																		</xsl:otherwise>
																	</xsl:choose>
																</xsl:otherwise>
															</xsl:choose>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="audio-codec">
	<xsl:variable name="parsedAudioCodec" select="tokenize(//details/movie/audioCodec,' / ')"/>
	<!-- <xsl:variable name="parsedAudioChannels" select="tokenize(//details/movie/audioChannels,' / ')"/> -->
	<!-- <xsl:for-each select="$parsedAudioCodec"> -->
		<xsl:variable name="pass" select="position()" />
		 <!-- <xsl:if test="$pass!=1"><img src="pictures/Dot.png" /></xsl:if> -->
		<xsl:choose>
			<xsl:when test="contains(upper-case($parsedAudioCodec[$pass]),'AC3') or contains(upper-case($parsedAudioCodec[$pass]),'DTS') or contains(upper-case($parsedAudioCodec[$pass]),'MP3') or contains(upper-case($parsedAudioCodec[$pass]),'AAC') or contains(upper-case($parsedAudioCodec[$pass]),'TRUEHD') or contains(upper-case($parsedAudioCodec[$pass]),'VORBIS') or contains(upper-case($parsedAudioCodec[$pass]),'ORBIS') or contains(upper-case($parsedAudioCodec[$pass]),'A_FLAC') or contains(upper-case($parsedAudioCodec[$pass]),'QDM') or contains(upper-case($parsedAudioCodec[$pass]),'MICROSOFT') or contains(upper-case($parsedAudioCodec[$pass]),'PCM') or contains(upper-case($parsedAudioCodec[$pass]),'MPEG-1')">
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'AC3')" ><img src="pictures/detail/audio/DolbyDigital.png" align="top"/></xsl:if>
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'TRUEHD')" ><img src="pictures/detail/audio/DolbyTrueHD.png" align="top"/></xsl:if>
				<xsl:choose>
					<xsl:when test="contains(upper-case($parsedAudioCodec[$pass]),'DTS-HD')"><img src="pictures/detail/audio/dtsHD.png" align="top"/></xsl:when>
					<xsl:otherwise><xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'DTS')"><img src="pictures/detail/audio/digital-dts-surround.png" align="top"/></xsl:if></xsl:otherwise>
				</xsl:choose>
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'MP3')"><img src="pictures/detail/audio/MP3.png" align="top"/></xsl:if>
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'AAC')"><img src="pictures/detail/audio/AAC.png" align="top"/></xsl:if>
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'VORBIS') or contains(upper-case($parsedAudioCodec[$pass]),'ORBIS')"><img src="pictures/detail/audio/Ogg.png" align="top"/></xsl:if>
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'A_FLAC')"><img src="pictures/detail/audio/flac.png" align="top"/></xsl:if>
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'QDM2')"><img src="pictures/detail/audio/QDM2.png" align="top"/></xsl:if>
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'QDMC')"><img src="pictures/detail/audio/QDMC.png" align="top"/></xsl:if>
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'MICROSOFT')"><img src="pictures/detail/audio/MS.png" align="top"/></xsl:if>
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'PCM')"><img src="pictures/detail/audio/PCM.png" align="top"/></xsl:if>
				<xsl:if test="contains(upper-case($parsedAudioCodec[$pass]),'MPEG-1')"><img src="pictures/detail/audio/MPEG1.png" align="top"/></xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<!-- <xsl:value-of select="$parsedAudioCodec[$pass]" /> -->
			</xsl:otherwise>
		</xsl:choose>
		<!--
		<xsl:choose>
			<xsl:when test="$parsedAudioChannels[$pass]=6">
				<xsl:text>5.1</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$parsedAudioChannels[$pass]=8">
					<xsl:text>7.1</xsl:text>
					</xsl:when>
					<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="$parsedAudioChannels[$pass]=2">
							<xsl:text>2.0</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
									<xsl:when test="$parsedAudioChannels[$pass]=3">
										<xsl:text>2.1</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$parsedAudioChannels[$pass]" />
									</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		
		<xsl:if test="contains($parsedAudioCodec,'(')">
			<xsl:variable name="langAfter" select="substring-after($parsedAudioCodec[$pass],'(')"/>
			<xsl:variable name="langBefore" select="substring-before($langAfter,')')"/>
			<xsl:text>(</xsl:text><xsl:value-of select="$langBefore"/><xsl:text>)</xsl:text>
		</xsl:if> -->
	<!-- </xsl:for-each> -->
</xsl:template> 

<xsl:template name="certification">
	 <xsl:choose>
	  <xsl:when test="/details/movie/certification = 'R' or /details/movie/certification = 'PG' or /details/movie/certification = 'PG-13' or /details/movie/certification = 'G' or /details/movie/certification = 'NC-17' or /details/movie/certification = 'TV-14' or /details/movie/certification = 'TV-G' or /details/movie/certification = 'TV-MA' or /details/movie/certification = 'TV-PG' or /details/movie/certification = 'TV-Y' or /details/movie/certification = 'TV-Y7' or /details/movie/certification = 'TV-Y7FV'">
	   <xsl:if test="/details/movie/certification = 'R'"><img src="pictures/detail/certifications/R.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'PG'"><img src="pictures/detail/certifications/PG.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'PG-13'"><img src="pictures/detail/certifications/PG13.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'G'"><img src="pictures/detail/certifications/G.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'NC-17'"><img src="pictures/detail/certifications/NC17.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'TV-14'"><img src="pictures/detail/certifications/TV14.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'TV-G'"><img src="pictures/detail/certifications/TVG.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'TV-MA'"><img src="pictures/detail/certifications/TVMA.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'TV-PG'"><img src="pictures/detail/certifications/TVPG.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'TV-Y'"><img src="pictures/detail/certifications/TVY.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'TV-Y7'"><img src="pictures/detail/certifications/TVY7.png" /></xsl:if>
	   <xsl:if test="/details/movie/certification = 'TV-Y7FV'"><img src="pictures/detail/certifications/TVY7FV.png" /></xsl:if>
	  </xsl:when>
	  <xsl:otherwise>
	   <!-- <xsl:value-of select="/details/movie/certification" /> -->
	  </xsl:otherwise>
	 </xsl:choose>
</xsl:template>

<xsl:template name="certificationUK">
	 <xsl:choose>
	  <xsl:when test="/details/movie/certification = '12' or /details/movie/certification = '12A' or /details/movie/certification = '15' or /details/movie/certification = '18' or /details/movie/certification = 'R18' or /details/movie/certification = 'U' or /details/movie/certification = 'UC' or /details/movie/certification = 'PG' or /details/movie/certification = 'TV-14' or /details/movie/certification = 'TV-G' or /details/movie/certification = 'TV-MA' or /details/movie/certification = 'TV-PG' or /details/movie/certification = 'TV-Y' or /details/movie/certification = 'TV-Y7' or /details/movie/certification = 'TV-Y7FV' or /details/movie/certification = 'R' or /details/movie/certification = 'PG' or /details/movie/certification = 'PG-13' or /details/movie/certification = 'G' or /details/movie/certification = 'NC-17'">

		<xsl:if test="/details/movie/certification = '12'"><img src="pictures/detail/certificationsUK/BBFC_12.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = '12A'"><img src="pictures/detail/certificationsUK/BBFC_12A.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = '15'"><img src="pictures/detail/certificationsUK/BBFC_15.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = '18'"><img src="pictures/detail/certificationsUK/BBFC_18.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = 'R18'"><img src="pictures/detail/certificationsUK/BBFC_R18.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = 'U'"><img src="pictures/detail/certificationsUK/BBFC_U.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = 'UC'"><img src="pictures/detail/certificationsUK/BBFC_UC.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = 'PG'"><img src="pictures/detail/certificationsUK/BBFC_PG.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = 'TV-14'"><img src="pictures/detail/certifications/TV14.png" /></xsl:if>
		<xsl:if test="/details/movie/certification = 'TV-G'"><img src="pictures/detail/certifications/TVG.png" /></xsl:if>
		<xsl:if test="/details/movie/certification = 'TV-MA'"><img src="pictures/detail/certifications/TVMA.png" /></xsl:if>
		<xsl:if test="/details/movie/certification = 'TV-PG'"><img src="pictures/detail/certifications/TVPG.png" /></xsl:if>
		<xsl:if test="/details/movie/certification = 'TV-Y'"><img src="pictures/detail/certifications/TVY.png" /></xsl:if>
		<xsl:if test="/details/movie/certification = 'TV-Y7'"><img src="pictures/detail/certifications/TVY7.png" /></xsl:if>
		<xsl:if test="/details/movie/certification = 'TV-Y7FV'"><img src="pictures/detail/certifications/TVY7FV.png" /></xsl:if>
		<xsl:if test="/details/movie/certification = 'R'"><img src="pictures/detail/certifications/R.png" /></xsl:if>
		<xsl:if test="/details/movie/certification = 'PG-13'"><img src="pictures/detail/certifications/PG13.png" /></xsl:if>
		<xsl:if test="/details/movie/certification = 'G'"><img src="pictures/detail/certifications/G.png" /></xsl:if>
		<xsl:if test="/details/movie/certification = 'NC-17'"><img src="pictures/detail/certifications/NC17.png" /></xsl:if>
	  </xsl:when>
	  <xsl:otherwise>
	   <!-- <xsl:value-of select="/details/movie/certification" /> -->
	  </xsl:otherwise>
	 </xsl:choose>
</xsl:template>

<xsl:template name="certificationGer">
	 <xsl:choose>
	  <xsl:when test="/details/movie/certification = '0' or /details/movie/certification = '6' or /details/movie/certification = '12' or /details/movie/certification = '16' or /details/movie/certification = '18' or /details/movie/certification = 'TV-14' or /details/movie/certification = 'TV-G' or /details/movie/certification = 'TV-MA' or /details/movie/certification = 'TV-PG' or /details/movie/certification = 'TV-Y' or /details/movie/certification = 'TV-Y7' or /details/movie/certification = 'TV-Y7FV' or /details/movie/certification = 'BPjM Restricted' or /details/movie/certification = 'G' or /details/movie/certification = 'PG' or /details/movie/certification = 'PG-13' or /details/movie/certification = 'R' or /details/movie/certification = 'NC-17'">

		<xsl:if test="/details/movie/certification = '0' or /details/movie/certification = 'TV-G' or /details/movie/certification = 'G'"><img src="pictures/detail/certificationsGer/FSK0.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = '6' or /details/movie/certification = 'TV-Y' or /details/movie/certification = 'TV-Y7' or /details/movie/certification = 'TV-Y7FV'"><img src="pictures/detail/certificationsGer/FSK6.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = '12' or /details/movie/certification = 'TV-14' or /details/movie/certification = 'PG'"><img src="pictures/detail/certificationsGer/FSK12.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = '16' or /details/movie/certification = 'TV-PG' or /details/movie/certification = 'PG-13'"><img src="pictures/detail/certificationsGer/FSK16.png"/></xsl:if>
		<xsl:if test="/details/movie/certification = '18' or /details/movie/certification = 'TV-MA' or /details/movie/certification = 'BPjM Restricted' or /details/movie/certification = 'R' or /details/movie/certification = 'NC-17'"><img src="pictures/detail/certificationsGer/FSK18.png"/></xsl:if>

	  </xsl:when>
	  <xsl:otherwise>
	   <!-- <xsl:value-of select="/details/movie/certification" /> -->
	  </xsl:otherwise>
	 </xsl:choose>
</xsl:template>

<xsl:template name="HD_TagSelection">
	<xsl:if test="$EnableHD_TagOnDetailBox = 'true'">

		<xsl:if test="contains(videoOutput,'480i')">
			<img>
				<xsl:attribute name="src">
				<xsl:value-of select="$FNameHDTag480i"/>
				</xsl:attribute>
			</img>
		</xsl:if>
		
		<xsl:if test="contains(videoOutput,'480p')">
			<img>
				<xsl:attribute name="src">
				<xsl:value-of select="$FNameHDTag480p"/>
				</xsl:attribute>
			</img>
		</xsl:if>			
		
		<xsl:if test="contains(videoOutput,'576i')">
			<img>
				<xsl:attribute name="src">
				<xsl:value-of select="$FNameHDTag576i"/>
				</xsl:attribute>
			</img>
		</xsl:if>
		
		<xsl:if test="contains(videoOutput,'576p')">
			<img>
				<xsl:attribute name="src">
				<xsl:value-of select="$FNameHDTag576p"/>
				</xsl:attribute>
			</img>
		</xsl:if>
		
		<xsl:if test="contains(videoOutput,'720i')">
			<img>
				<xsl:attribute name="src">
				<xsl:value-of select="$FNameHDTag720i"/>
				</xsl:attribute>
			</img>
		</xsl:if>
		
		<xsl:if test="contains(videoOutput,'720p')">
			<img>
				<xsl:attribute name="src">
				<xsl:value-of select="$FNameHDTag720p"/>
				</xsl:attribute>
			</img>
		</xsl:if>

		<xsl:if test="contains(videoOutput,'1080i')">
			<img>
				<xsl:attribute name="src">
				<xsl:value-of select="$FNameHDTag1080i"/>
				</xsl:attribute>
			</img>
		</xsl:if>
		
		<xsl:if test="contains(videoOutput,'1080p')">
			<img>
				<xsl:attribute name="src">
				<xsl:value-of select="$FNameHDTag1080p"/>
				</xsl:attribute>
			</img>
		</xsl:if>
		
	</xsl:if>
</xsl:template>

	<xsl:template name="VersionBanner">
		<xsl:if test="$EnableDetailVersionBanner = 'true' and @isSet = 'false'">
			<xsl:choose>
				<xsl:when test="contains(baseFilename,'extended version')">
					<img><xsl:attribute name="src">pictures/detail/box/ExtendedVersion.png</xsl:attribute></img>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="contains(baseFilename,'directors cut')">
							<img><xsl:attribute name="src">pictures/detail/box/DirectorsCut.png</xsl:attribute></img>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="contains(baseFilename,'extended cut')">
									<img><xsl:attribute name="src">pictures/detail/box/ExtendedCut.png</xsl:attribute></img>
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="contains(baseFilename,'final cut')">
											<img><xsl:attribute name="src">pictures/detail/box/FinalCut.png</xsl:attribute></img>
										</xsl:when>
										<xsl:otherwise>
											<xsl:choose>
												<xsl:when test="contains(baseFilename,'remastered')">
													<img><xsl:attribute name="src">pictures/detail/box/Remastered.png</xsl:attribute></img>
												</xsl:when>
												<xsl:otherwise>
													<xsl:choose>
														<xsl:when test="contains(baseFilename,'UNRATED')">
															<img><xsl:attribute name="src">pictures/detail/box/Unrated.png</xsl:attribute></img>
														</xsl:when>
														<xsl:otherwise>
															<xsl:choose>
																<xsl:when test="contains(baseFilename,'UNCUT')">
																	<img><xsl:attribute name="src">pictures/detail/box/Uncut.png</xsl:attribute></img>
																</xsl:when>
																<xsl:otherwise>
																</xsl:otherwise>
															</xsl:choose>				
														</xsl:otherwise>
													</xsl:choose>	
												</xsl:otherwise>
											</xsl:choose>				
										</xsl:otherwise>
									</xsl:choose>	
								</xsl:otherwise>
							</xsl:choose>								
						</xsl:otherwise>
					</xsl:choose>				
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

	<xsl:template name="WatchTagSelection">
		<xsl:if test="$EnableDetailWatchTag = 'true' and @isSet = 'false'">
			<xsl:choose>
				<xsl:when test="watched = 'false'">
					<img><xsl:attribute name="src">pictures/detail/box/Unwatched.png</xsl:attribute></img>
				</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>	
 
</xsl:stylesheet>